diff --git a/changelog b/changelog
index 5d98be3..1f1c25a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100618 tpd src/axiom-website/patches.html 20100618.01.tpd.patch
+20100618 tpd src/input/Makefile rule-based log integration
+20100618 tpd src/input/richlog300-391.input rule-based log integration
 20100617 tpd src/axiom-website/patches.html 20100617.03.tpd.patch
 20100617 tpd src/input/Makefile rule-based log integration
 20100617 tpd src/input/richlog200-299.input rule-based log integration
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index a46ac07..0a94193 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2914,6 +2914,8 @@ src/input/richlog000-099.input rule-based log integration<br/>
 src/input/richlog100-199.input rule-based log integration<br/>
 <a href="patches/20100617.03.tpd.patch">20100617.03.tpd.patch</a>
 src/input/richlog200-299.input rule-based log integration<br/>
+<a href="patches/20100618.01.tpd.patch">20100618.01.tpd.patch</a>
+src/input/richlog300-391.input rule-based log integration<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index ca523b7..0230dc3 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -389,6 +389,7 @@ REGRES= ackermann.regress \
     richlog000-099.regress \
     richlog100-199.regress \
     richlog200-299.regress \
+    richlog300-391.regress \
     richrational.regress \
     richtrig000-099.regress \
     richtrig100-199.regress \
@@ -732,6 +733,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/richlog000-099.input \
        ${OUT}/richlog100-199.input \
        ${OUT}/richlog200-299.input \
+       ${OUT}/richlog300-391.input \
        ${OUT}/richrational.input \
        ${OUT}/richtrig000-099.input \
        ${OUT}/richtrig100-199.input \
@@ -1104,6 +1106,7 @@ DOCFILES= \
   ${DOC}/richlog000-099.input.dvi \
   ${DOC}/richlog100-199.input.dvi \
   ${DOC}/richlog200-299.input.dvi \
+  ${DOC}/richlog300-391.input.dvi \
   ${DOC}/richrational.input.dvi \
   ${DOC}/richtrig000-099.input.dvi \
   ${DOC}/richtrig100-199.input.dvi \
diff --git a/src/input/richlog300-391.input.pamphlet b/src/input/richlog300-391.input.pamphlet
new file mode 100644
index 0000000..477d994
--- /dev/null
+++ b/src/input/richlog300-391.input.pamphlet
@@ -0,0 +1,4751 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input richlog300-391.input}
+\author{Albert Rich and Timothy Daly}
+\maketitle
+\begin{abstract}
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f richlog300-391.output
+)spool richlog300-391.output
+)set message auto off
+)clear all
+
+--S 1 of 460
+t0300:= 1/x/cos(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                               1
+--R   (1)  ----------------------------------------------
+--R                                +--------------------+
+--R                       n      2 |             n
+--R        x cos(b log(c x ) + a) \|cos(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 460
+r0300:= 2/3*EllipticF(1/2*a+1/2*b*log(c*x^n),2)/b/n+_
+        2/3*sin(a+b*log(c*x^n))/b/n/cos(a+b*log(c*x^n))^(3/2)
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 2
+
+--S 3 of 460
+a0300:= integrate(t0300,x)
+--R 
+--R
+--R           x
+--R         ++                          1
+--R   (2)   |   ------------------------------------------------- d%R
+--R        ++                             +---------------------+
+--R                              n      2 |              n
+--R             %R cos(b log(c %R ) + a) \|cos(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 3
+
+--S 4 of 460
+--m0300:= a0300-r0300
+--E 4
+
+--S 5 of 460
+--d0300:= D(m0300,x)
+--E 5
+
+--S 6 of 460
+t0301:= sec(a+b*log(c*x^n))^(1/2)/x
+--R 
+--R
+--R         +--------------------+
+--R         |             n
+--R        \|sec(b log(c x ) + a)
+--R   (3)  -----------------------
+--R                   x
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 460
+r0301:= 2*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+1/2*b*log(c*x^n),2)*_
+        sec(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 7
+
+--S 8 of 460
+a0301:= integrate(t0301,x)
+--R 
+--R
+--R              +---------------------+
+--R           x  |              n
+--R         ++  \|sec(b log(c %R ) + a)
+--R   (4)   |   ------------------------ d%R
+--R        ++              %R
+--R                                          Type: Union(Expression Integer,...)
+--E 8
+
+--S 9 of 460
+--m0301:= a0301-r0301
+--E 9
+
+--S 10 of 460
+--d0301:= D(m0301,x)
+--E 10
+
+--S 11 of 460
+t0302:= sec(a+b*log(c*x^n))^(3/2)/x
+--R 
+--R
+--R                             +--------------------+
+--R                     n       |             n
+--R        sec(b log(c x ) + a)\|sec(b log(c x ) + a)
+--R   (5)  -------------------------------------------
+--R                             x
+--R                                                     Type: Expression Integer
+--E 11
+
+--S 12 of 460
+r0302:= -2*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+1/2*b*log(c*x^n),2)*_
+        sec(a+b*log(c*x^n))^(1/2)/b/n+2*sec(a+b*log(c*x^n))^(1/2)*_
+        sin(a+b*log(c*x^n))/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 12
+
+--S 13 of 460
+a0302:= integrate(t0302,x)
+--R 
+--R
+--R                                   +---------------------+
+--R           x               n       |              n
+--R         ++  sec(b log(c %R ) + a)\|sec(b log(c %R ) + a)
+--R   (6)   |   --------------------------------------------- d%R
+--R        ++                         %R
+--R                                          Type: Union(Expression Integer,...)
+--E 13
+
+--S 14 of 460
+--m0302:= a0302-r0302
+--E 14
+
+--S 15 of 460
+--d0302:= D(m0302,x)
+--E 15
+
+--S 16 of 460
+t0303:= sec(a+b*log(c*x^n))^(5/2)/x
+--R 
+--R
+--R                              +--------------------+
+--R                     n      2 |             n
+--R        sec(b log(c x ) + a) \|sec(b log(c x ) + a)
+--R   (7)  --------------------------------------------
+--R                              x
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 460
+r0303:= 2/3*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+1/2*b*log(c*x^n),2)*_
+        sec(a+b*log(c*x^n))^(1/2)/b/n+2/3*sec(a+b*log(c*x^n))^(3/2)*_
+        sin(a+b*log(c*x^n))/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 17
+
+--S 18 of 460
+a0303:= integrate(t0303,x)
+--R 
+--R
+--R                                    +---------------------+
+--R           x               n      2 |              n
+--R         ++  sec(b log(c %R ) + a) \|sec(b log(c %R ) + a)
+--R   (8)   |   ---------------------------------------------- d%R
+--R        ++                         %R
+--R                                          Type: Union(Expression Integer,...)
+--E 18
+
+--S 19 of 460
+--m0303:= a0303-r0303
+--E 19
+
+--S 20 of 460
+--d0303:= D(m0303,x)
+--E 20
+
+--S 21 of 460
+t0304:= 1/x/sec(a+b*log(c*x^n))^(1/2)
+--R 
+--R
+--R                    1
+--R   (9)  ------------------------
+--R          +--------------------+
+--R          |             n
+--R        x\|sec(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 21
+
+--S 22 of 460
+r0304:= 2*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+1/2*b*log(c*x^n),2)*_
+        sec(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 22
+
+--S 23 of 460
+a0304:= integrate(t0304,x)
+--R 
+--R
+--R            x
+--R          ++               1
+--R   (10)   |   -------------------------- d%R
+--R         ++      +---------------------+
+--R                 |              n
+--R              %R\|sec(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 23
+
+--S 24 of 460
+--m0304:= a0304-r0304
+--E 24
+
+--S 25 of 460
+--d0304:= D(m0304,x)
+--E 25
+
+--S 26 of 460
+t0305:= 1/x/sec(a+b*log(c*x^n))^(3/2)
+--R 
+--R
+--R                               1
+--R   (11)  ---------------------------------------------
+--R                                +--------------------+
+--R                        n       |             n
+--R         x sec(b log(c x ) + a)\|sec(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 26
+
+--S 27 of 460
+r0305:= 2/3*cos(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a+_
+        1/2*b*log(c*x^n),2)*sec(a+b*log(c*x^n))^(1/2)/b/n+_
+        2/3*sin(a+b*log(c*x^n))/b/n/sec(a+b*log(c*x^n))^(1/2)
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 27
+
+--S 28 of 460
+a0305:= integrate(t0305,x)
+--R 
+--R
+--R            x
+--R          ++                          1
+--R   (12)   |   ------------------------------------------------ d%R
+--R         ++                            +---------------------+
+--R                               n       |              n
+--R              %R sec(b log(c %R ) + a)\|sec(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 28
+
+--S 29 of 460
+--m0305:= a0305-r0305
+--E 29
+
+--S 30 of 460
+--d0305:= D(m0305,x)
+--E 30
+
+--S 31 of 460
+t0306:= 1/x/sec(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                                1
+--R   (13)  ----------------------------------------------
+--R                                 +--------------------+
+--R                        n      2 |             n
+--R         x sec(b log(c x ) + a) \|sec(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 31
+
+--S 32 of 460
+r0306:= 6/5*cos(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a+_
+        1/2*b*log(c*x^n),2)*sec(a+b*log(c*x^n))^(1/2)/b/n+_
+        2/5*sin(a+b*log(c*x^n))/b/n/sec(a+b*log(c*x^n))^(3/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 32
+
+--S 33 of 460
+a0306:= integrate(t0306,x)
+--R 
+--R
+--R            x
+--R          ++                          1
+--R   (14)   |   ------------------------------------------------- d%R
+--R         ++                             +---------------------+
+--R                               n      2 |              n
+--R              %R sec(b log(c %R ) + a) \|sec(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 33
+
+--S 34 of 460
+--m0306:= a0306-r0306
+--E 34
+
+--S 35 of 460
+--d0306:= D(m0306,x)
+--E 35
+
+--S 36 of 460
+t0307:= csc(a+b*log(c*x^n))^(1/2)/x
+--R 
+--R
+--R          +--------------------+
+--R          |             n
+--R         \|csc(b log(c x ) + a)
+--R   (15)  -----------------------
+--R                    x
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 460
+r0307:= 2*csc(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a-1/4*%pi+_
+        1/2*b*log(c*x^n),2)*sin(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 37
+
+--S 38 of 460
+a0307:= integrate(t0307,x)
+--R 
+--R
+--R               +---------------------+
+--R            x  |              n
+--R          ++  \|csc(b log(c %R ) + a)
+--R   (16)   |   ------------------------ d%R
+--R         ++              %R
+--R                                          Type: Union(Expression Integer,...)
+--E 38
+
+--S 39 of 460
+--m0307:= a0307-r0307
+--E 39
+
+--S 40 of 460
+--d0307:= D(m0307,x)
+--E 40
+
+--S 41 of 460
+t0308:= csc(a+b*log(c*x^n))^(3/2)/x
+--R 
+--R
+--R                              +--------------------+
+--R                      n       |             n
+--R         csc(b log(c x ) + a)\|csc(b log(c x ) + a)
+--R   (17)  -------------------------------------------
+--R                              x
+--R                                                     Type: Expression Integer
+--E 41
+
+--S 42 of 460
+r0308:= -2*cos(a+b*log(c*x^n))*csc(a+b*log(c*x^n))^(1/2)/b/n-_
+        2*csc(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a-1/4*%pi+_
+        1/2*b*log(c*x^n),2)*sin(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 42
+
+--S 43 of 460
+a0308:= integrate(t0308,x)
+--R 
+--R
+--R                                    +---------------------+
+--R            x               n       |              n
+--R          ++  csc(b log(c %R ) + a)\|csc(b log(c %R ) + a)
+--R   (18)   |   --------------------------------------------- d%R
+--R         ++                         %R
+--R                                          Type: Union(Expression Integer,...)
+--E 43
+
+--S 44 of 460
+--m0308:= a0308-r0308
+--E 44
+
+--S 45 of 460
+--d0308:= D(m0308,x)
+--E 45
+
+--S 46 of 460
+t0309:= csc(a+b*log(c*x^n))^(5/2)/x
+--R 
+--R
+--R                               +--------------------+
+--R                      n      2 |             n
+--R         csc(b log(c x ) + a) \|csc(b log(c x ) + a)
+--R   (19)  --------------------------------------------
+--R                               x
+--R                                                     Type: Expression Integer
+--E 46
+
+--S 47 of 460
+r0309:= -2/3*cos(a+b*log(c*x^n))*csc(a+b*log(c*x^n))^(3/2)/b/n+_
+        2/3*csc(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a-1/4*%pi+_
+        1/2*b*log(c*x^n),2)*sin(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 47
+
+--S 48 of 460
+a0309:= integrate(t0309,x)
+--R 
+--R
+--R                                     +---------------------+
+--R            x               n      2 |              n
+--R          ++  csc(b log(c %R ) + a) \|csc(b log(c %R ) + a)
+--R   (20)   |   ---------------------------------------------- d%R
+--R         ++                         %R
+--R                                          Type: Union(Expression Integer,...)
+--E 48
+
+--S 49 of 460
+--m0309:= a0309-r0309
+--E 49
+
+--S 50 of 460
+--d0309:= D(m0309,x)
+--E 50
+
+--S 51 of 460
+t0310:= 1/x/csc(a+b*log(c*x^n))^(1/2)
+--R 
+--R
+--R                     1
+--R   (21)  ------------------------
+--R           +--------------------+
+--R           |             n
+--R         x\|csc(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 460
+r0310:= 2*csc(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a-1/4*%pi+_
+        1/2*b*log(c*x^n),2)*sin(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 52
+
+--S 53 of 460
+a0310:= integrate(t0310,x)
+--R 
+--R
+--R            x
+--R          ++               1
+--R   (22)   |   -------------------------- d%R
+--R         ++      +---------------------+
+--R                 |              n
+--R              %R\|csc(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 53
+
+--S 54 of 460
+--m0310:= a0310-r0310
+--E 54
+
+--S 55 of 460
+--d0310:= D(m0310,x)
+--E 55
+
+--S 56 of 460
+t0311:= 1/x/csc(a+b*log(c*x^n))^(3/2)
+--R 
+--R
+--R                               1
+--R   (23)  ---------------------------------------------
+--R                                +--------------------+
+--R                        n       |             n
+--R         x csc(b log(c x ) + a)\|csc(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 56
+
+--S 57 of 460
+r0311:= -2/3*cos(a+b*log(c*x^n))/b/n/csc(a+b*log(c*x^n))^(1/2)+_
+        2/3*csc(a+b*log(c*x^n))^(1/2)*EllipticF(1/2*a-1/4*%pi+_
+        1/2*b*log(c*x^n),2)*sin(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 57
+
+--S 58 of 460
+a0311:= integrate(t0311,x)
+--R 
+--R
+--R            x
+--R          ++                          1
+--R   (24)   |   ------------------------------------------------ d%R
+--R         ++                            +---------------------+
+--R                               n       |              n
+--R              %R csc(b log(c %R ) + a)\|csc(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 58
+
+--S 59 of 460
+--m0311:= a0311-r0311
+--E 59
+
+--S 60 of 460
+--d0311:= D(m0311,x)
+--E 60
+
+--S 61 of 460
+t0312:= 1/x/csc(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                                1
+--R   (25)  ----------------------------------------------
+--R                                 +--------------------+
+--R                        n      2 |             n
+--R         x csc(b log(c x ) + a) \|csc(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 61
+
+--S 62 of 460
+r0312:= -2/5*cos(a+b*log(c*x^n))/b/n/csc(a+b*log(c*x^n))^(3/2)+_
+        6/5*csc(a+b*log(c*x^n))^(1/2)*EllipticE(1/2*a-1/4*%pi+_
+        1/2*b*log(c*x^n),2)*sin(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                             Expression Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 62
+
+--S 63 of 460
+a0312:= integrate(t0312,x)
+--R 
+--R
+--R            x
+--R          ++                          1
+--R   (26)   |   ------------------------------------------------- d%R
+--R         ++                             +---------------------+
+--R                               n      2 |              n
+--R              %R csc(b log(c %R ) + a) \|csc(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 63
+
+--S 64 of 460
+--m0312:= a0312-r0312
+--E 64
+
+--S 65 of 460
+--d0312:= D(m0312,x)
+--E 65
+
+--S 66 of 460
+t0313:= sin(log(a+b*x))
+--R 
+--R
+--R   (27)  sin(log(b x + a))
+--R                                                     Type: Expression Integer
+--E 66
+
+--S 67 of 460
+r0313:= -1/2*(a+b*x)*(cos(log(a+b*x))-sin(log(a+b*x)))/b
+--R 
+--R
+--R         (b x + a)sin(log(b x + a)) + (- b x - a)cos(log(b x + a))
+--R   (28)  ---------------------------------------------------------
+--R                                     2b
+--R                                                     Type: Expression Integer
+--E 67
+
+--S 68 of 460
+a0313:= integrate(t0313,x)
+--R 
+--R
+--R         (b x + a)sin(log(b x + a)) + (- b x - a)cos(log(b x + a))
+--R   (29)  ---------------------------------------------------------
+--R                                     2b
+--R                                          Type: Union(Expression Integer,...)
+--E 68
+
+--S 69 of 460
+m0313:= a0313-r0313
+--R 
+--R
+--R   (30)  0
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 460
+d0313:= D(m0313,x)
+--R 
+--R
+--R   (31)  0
+--R                                                     Type: Expression Integer
+--E 70
+
+--S 71 of 460
+t0314:= tanh(a+b*log(c*x^n))^2/x
+--R 
+--R
+--R                       n      2
+--R         tanh(b log(c x ) + a)
+--R   (32)  ----------------------
+--R                    x
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 460
+r0314:= 1/b/n*(b*log(c*x^n)-tanh(a+b*log(c*x^n)))
+--R 
+--R
+--R                         n                  n
+--R         - tanh(b log(c x ) + a) + b log(c x )
+--R   (33)  -------------------------------------
+--R                          b n
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 460
+a0314:= integrate(t0314,x)
+--R 
+--R
+--R   (34)
+--R       - sinh(b n log(x) + b log(c) + a)
+--R     + 
+--R       (b n log(x) + 1)cosh(b n log(x) + b log(c) + a)
+--R  /
+--R     b n cosh(b n log(x) + b log(c) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 73
+
+--S 74 of 460
+m0314:= a0314-r0314
+--R 
+--R
+--R   (35)
+--R                                                    n
+--R       cosh(b n log(x) + b log(c) + a)tanh(b log(c x ) + a)
+--R     + 
+--R       - sinh(b n log(x) + b log(c) + a)
+--R     + 
+--R                                                 n
+--R       - b cosh(b n log(x) + b log(c) + a)log(c x )
+--R     + 
+--R       (b n log(x) + 1)cosh(b n log(x) + b log(c) + a)
+--R  /
+--R     b n cosh(b n log(x) + b log(c) + a)
+--R                                                     Type: Expression Integer
+--E 74
+
+--S 75 of 460
+d0314:= D(m0314,x)
+--R 
+--R
+--R   (36)
+--R            n - 1                               2              n      2
+--R       - x x     cosh(b n log(x) + b log(c) + a) tanh(b log(c x ) + a)
+--R     + 
+--R        n                               2
+--R       x sinh(b n log(x) + b log(c) + a)
+--R  /
+--R        n                               2
+--R     x x cosh(b n log(x) + b log(c) + a)
+--R                                                     Type: Expression Integer
+--E 75
+
+--S 76 of 460
+t0315:= coth(a+b*log(c*x^n))^2/x
+--R 
+--R
+--R                       n      2
+--R         coth(b log(c x ) + a)
+--R   (37)  ----------------------
+--R                    x
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 460
+r0315:= -1/b/n*(coth(a+b*log(c*x^n))-b*log(c*x^n))
+--R 
+--R
+--R                         n                  n
+--R         - coth(b log(c x ) + a) + b log(c x )
+--R   (38)  -------------------------------------
+--R                          b n
+--R                                                     Type: Expression Integer
+--E 77
+
+--S 78 of 460
+a0315:= integrate(t0315,x)
+--R 
+--R
+--R   (39)
+--R       (b n log(x) + 1)sinh(b n log(x) + b log(c) + a)
+--R     + 
+--R       - cosh(b n log(x) + b log(c) + a)
+--R  /
+--R     b n sinh(b n log(x) + b log(c) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 78
+
+--S 79 of 460
+m0315:= a0315-r0315
+--R 
+--R
+--R   (40)
+--R                                                    n
+--R       sinh(b n log(x) + b log(c) + a)coth(b log(c x ) + a)
+--R     + 
+--R                   n
+--R       (- b log(c x ) + b n log(x) + 1)sinh(b n log(x) + b log(c) + a)
+--R     + 
+--R       - cosh(b n log(x) + b log(c) + a)
+--R  /
+--R     b n sinh(b n log(x) + b log(c) + a)
+--R                                                     Type: Expression Integer
+--E 79
+
+--S 80 of 460
+d0315:= D(m0315,x)
+--R 
+--R
+--R   (41)
+--R            n - 1                               2              n      2
+--R       - x x     sinh(b n log(x) + b log(c) + a) coth(b log(c x ) + a)
+--R     + 
+--R        n                               2
+--R       x cosh(b n log(x) + b log(c) + a)
+--R  /
+--R        n                               2
+--R     x x sinh(b n log(x) + b log(c) + a)
+--R                                                     Type: Expression Integer
+--E 80
+
+--S 81 of 460
+t0316:= sinh(a+b*log(c*x^n))^(1/2)/x
+--R 
+--R
+--R          +---------------------+
+--R          |              n
+--R         \|sinh(b log(c x ) + a)
+--R   (42)  ------------------------
+--R                     x
+--R                                                     Type: Expression Integer
+--E 81
+
+--S 82 of 460
+r0316:= -2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        sinh(a+b*log(c*x^n))^(1/2)/b/n/(%i*sinh(a+b*log(c*x^n)))^(1/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 82
+
+--S 83 of 460
+a0316:= integrate(t0316,x)
+--R 
+--R
+--R               +----------------------+
+--R            x  |               n
+--R          ++  \|sinh(b log(c %R ) + a)
+--R   (43)   |   ------------------------- d%R
+--R         ++               %R
+--R                                          Type: Union(Expression Integer,...)
+--E 83
+
+--S 84 of 460
+--m0316:= a0316-r0316
+--E 84
+
+--S 85 of 460
+--d0316:= D(m0316,x)
+--E 85
+
+--S 86 of 460
+t0317:= sinh(a+b*log(c*x^n))^(3/2)/x
+--R 
+--R
+--R                               +---------------------+
+--R                       n       |              n
+--R         sinh(b log(c x ) + a)\|sinh(b log(c x ) + a)
+--R   (44)  ---------------------------------------------
+--R                               x
+--R                                                     Type: Expression Integer
+--E 86
+
+--S 87 of 460
+r0317:= 2/3*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        (%i*sinh(a+b*log(c*x^n)))^(1/2)/b/n/sinh(a+b*log(c*x^n))^(1/2)+_
+        2/3*cosh(a+b*log(c*x^n))*sinh(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 87
+
+--S 88 of 460
+a0317:= integrate(t0317,x)
+--R 
+--R
+--R                                     +----------------------+
+--R            x                n       |               n
+--R          ++  sinh(b log(c %R ) + a)\|sinh(b log(c %R ) + a)
+--R   (45)   |   ----------------------------------------------- d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 88
+
+--S 89 of 460
+--m0317:= a0317-r0317
+--E 89
+
+--S 90 of 460
+--d0317:= D(m0317,x)
+--E 90
+
+--S 91 of 460
+t0318:= sinh(a+b*log(c*x^n))^(5/2)/x
+--R 
+--R
+--R                                +---------------------+
+--R                       n      2 |              n
+--R         sinh(b log(c x ) + a) \|sinh(b log(c x ) + a)
+--R   (46)  ----------------------------------------------
+--R                                x
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 460
+r0318:= 6/5*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        sinh(a+b*log(c*x^n))^(1/2)/b/n/(%i*sinh(a+b*log(c*x^n)))^(1/2)+_
+        2/5*cosh(a+b*log(c*x^n))*sinh(a+b*log(c*x^n))^(3/2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 92
+
+--S 93 of 460
+a0318:= integrate(t0318,x)
+--R 
+--R
+--R                                      +----------------------+
+--R            x                n      2 |               n
+--R          ++  sinh(b log(c %R ) + a) \|sinh(b log(c %R ) + a)
+--R   (47)   |   ------------------------------------------------ d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 93
+
+--S 94 of 460
+--m0318:= a0318-r0318
+--E 94
+
+--S 95 of 460
+--d0318:= D(m0318,x)
+--E 95
+
+--S 96 of 460
+t0319:= 1/x/sinh(a+b*log(c*x^n))^(1/2)
+--R 
+--R
+--R                     1
+--R   (48)  -------------------------
+--R           +---------------------+
+--R           |              n
+--R         x\|sinh(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 96
+
+--S 97 of 460
+r0319:= -2*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        (%i*sinh(a+b*log(c*x^n)))^(1/2)/b/n/sinh(a+b*log(c*x^n))^(1/2)
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 97
+
+--S 98 of 460
+a0319:= integrate(t0319,x)
+--R 
+--R
+--R            x
+--R          ++               1
+--R   (49)   |   --------------------------- d%R
+--R         ++      +----------------------+
+--R                 |               n
+--R              %R\|sinh(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 98
+
+--S 99 of 460
+--m0319:= a0319-r0319
+--E 99
+
+--S 100 of 460
+--d0319:= D(m0319,x)
+--E 100
+
+--S 101 of 460
+t0320:= 1/x/sinh(a+b*log(c*x^n))^(3/2)
+--R 
+--R
+--R                                1
+--R   (50)  -----------------------------------------------
+--R                                 +---------------------+
+--R                         n       |              n
+--R         x sinh(b log(c x ) + a)\|sinh(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 101
+
+--S 102 of 460
+r0320:= -2*cosh(a+b*log(c*x^n))/b/n/sinh(a+b*log(c*x^n))^(1/2)-_
+        2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        sinh(a+b*log(c*x^n))^(1/2)/b/n/(%i*sinh(a+b*log(c*x^n)))^(1/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 102
+
+--S 103 of 460
+a0320:= integrate(t0320,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (51)   |   -------------------------------------------------- d%R
+--R         ++                             +----------------------+
+--R                                n       |               n
+--R              %R sinh(b log(c %R ) + a)\|sinh(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 103
+
+--S 104 of 460
+--m0320:= a0320-r0320
+--E 104
+
+--S 105 of 460
+--d0320:= D(m0320,x)
+--E 105
+
+--S 106 of 460
+t0321:= 1/x/sinh(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                                 1
+--R   (52)  ------------------------------------------------
+--R                                  +---------------------+
+--R                         n      2 |              n
+--R         x sinh(b log(c x ) + a) \|sinh(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 460
+r0321:= -2/3*cosh(a+b*log(c*x^n))/b/n/sinh(a+b*log(c*x^n))^(3/2)+_
+        2/3*%i*EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        (%i*sinh(a+b*log(c*x^n)))^(1/2)/b/n/sinh(a+b*log(c*x^n))^(1/2)
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 107
+
+--S 108 of 460
+a0321:= integrate(t0321,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (53)   |   --------------------------------------------------- d%R
+--R         ++                              +----------------------+
+--R                                n      2 |               n
+--R              %R sinh(b log(c %R ) + a) \|sinh(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 108
+
+--S 109 of 460
+--m0321:= a0321-r0321
+--E 109
+
+--S 110 of 460
+--d0321:= D(m0321,x)
+--E 110
+
+--S 111 of 460
+t0322:= cosh(a+b*log(c*x^n))^(1/2)/x
+--R 
+--R
+--R          +---------------------+
+--R          |              n
+--R         \|cosh(b log(c x ) + a)
+--R   (54)  ------------------------
+--R                     x
+--R                                                     Type: Expression Integer
+--E 111
+
+--S 112 of 460
+r0322:= -2*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 112
+
+--S 113 of 460
+a0322:= integrate(t0322,x)
+--R 
+--R
+--R               +----------------------+
+--R            x  |               n
+--R          ++  \|cosh(b log(c %R ) + a)
+--R   (55)   |   ------------------------- d%R
+--R         ++               %R
+--R                                          Type: Union(Expression Integer,...)
+--E 113
+
+--S 114 of 460
+--m0322:= a0322-r0322
+--E 114
+
+--S 115 of 460
+--d0322:= D(m0322,x)
+--E 115
+
+--S 116 of 460
+t0323:= cosh(a+b*log(c*x^n))^(3/2)/x
+--R 
+--R
+--R                               +---------------------+
+--R                       n       |              n
+--R         cosh(b log(c x ) + a)\|cosh(b log(c x ) + a)
+--R   (56)  ---------------------------------------------
+--R                               x
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 460
+r0323:= -2/3/b/n*(%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)-cosh(a+b*log(c*x^n))^(1/2)*sinh(a+b*log(c*x^n)))
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 117
+
+--S 118 of 460
+a0323:= integrate(t0323,x)
+--R 
+--R
+--R                                     +----------------------+
+--R            x                n       |               n
+--R          ++  cosh(b log(c %R ) + a)\|cosh(b log(c %R ) + a)
+--R   (57)   |   ----------------------------------------------- d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 118
+
+--S 119 of 460
+--m0323:= a0323-r0323
+--E 119
+
+--S 120 of 460
+--d0323:= D(m0323,x)
+--E 120
+
+--S 121 of 460
+t0324:= cosh(a+b*log(c*x^n))^(5/2)/x
+--R 
+--R
+--R                                +---------------------+
+--R                       n      2 |              n
+--R         cosh(b log(c x ) + a) \|cosh(b log(c x ) + a)
+--R   (58)  ----------------------------------------------
+--R                                x
+--R                                                     Type: Expression Integer
+--E 121
+
+--S 122 of 460
+r0324:= 2/5/b/n*(-3*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)+_
+        cosh(a+b*log(c*x^n))^(3/2)*sinh(a+b*log(c*x^n)))
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 122
+
+--S 123 of 460
+a0324:= integrate(t0324,x)
+--R 
+--R
+--R                                      +----------------------+
+--R            x                n      2 |               n
+--R          ++  cosh(b log(c %R ) + a) \|cosh(b log(c %R ) + a)
+--R   (59)   |   ------------------------------------------------ d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 123
+
+--S 124 of 460
+--m0324:= a0324-r0324
+--E 124
+
+--S 125 of 460
+--d0324:= D(m0324,x)
+--E 125
+
+--S 126 of 460
+t0325:= 1/x/cosh(a+b*log(c*x^n))^(1/2)
+--R 
+--R
+--R                     1
+--R   (60)  -------------------------
+--R           +---------------------+
+--R           |              n
+--R         x\|cosh(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 126
+
+--S 127 of 460
+r0325:= -2*%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 127
+
+--S 128 of 460
+a0325:= integrate(t0325,x)
+--R 
+--R
+--R            x
+--R          ++               1
+--R   (61)   |   --------------------------- d%R
+--R         ++      +----------------------+
+--R                 |               n
+--R              %R\|cosh(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 128
+
+--S 129 of 460
+--m0325:= a0325-r0325
+--E 129
+
+--S 130 of 460
+--d0325:= D(m0325,x)
+--E 130
+
+--S 131 of 460
+t0326:= 1/x/cosh(a+b*log(c*x^n))^(3/2)
+--R 
+--R
+--R                                1
+--R   (62)  -----------------------------------------------
+--R                                 +---------------------+
+--R                         n       |              n
+--R         x cosh(b log(c x ) + a)\|cosh(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 131
+
+--S 132 of 460
+r0326:= 2*%i*EllipticE(1/2*%i*(a+b*log(c*x^n)),2)/b/n+_
+        2*sinh(a+b*log(c*x^n))/b/n/cosh(a+b*log(c*x^n))^(1/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 132
+
+--S 133 of 460
+a0326:= integrate(t0326,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (63)   |   -------------------------------------------------- d%R
+--R         ++                             +----------------------+
+--R                                n       |               n
+--R              %R cosh(b log(c %R ) + a)\|cosh(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 133
+
+--S 134 of 460
+--m0326:= a0326-r0326
+--E 134
+
+--S 135 of 460
+--d0326:= D(m0326,x)
+--E 135
+
+--S 136 of 460
+t0327:= 1/x/cosh(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                                 1
+--R   (64)  ------------------------------------------------
+--R                                  +---------------------+
+--R                         n      2 |              n
+--R         x cosh(b log(c x ) + a) \|cosh(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 136
+
+--S 137 of 460
+r0327:= -2/3*%i*EllipticF(1/2*%i*(a+b*log(c*x^n)),2)/b/n+_
+        2/3*sinh(a+b*log(c*x^n))/b/n/cosh(a+b*log(c*x^n))^(3/2)
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 137
+
+--S 138 of 460
+a0327:= integrate(t0327,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (65)   |   --------------------------------------------------- d%R
+--R         ++                              +----------------------+
+--R                                n      2 |               n
+--R              %R cosh(b log(c %R ) + a) \|cosh(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 138
+
+--S 139 of 460
+--m0327:= a0327-r0327
+--E 139
+
+--S 140 of 460
+--d0327:= D(m0327,x)
+--E 140
+
+--S 141 of 460
+t0328:= sech(a+b*log(c*x^n))^(1/2)/x
+--R 
+--R
+--R          +---------------------+
+--R          |              n
+--R         \|sech(b log(c x ) + a)
+--R   (66)  ------------------------
+--R                     x
+--R                                                     Type: Expression Integer
+--E 141
+
+--S 142 of 460
+r0328:= -2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
+        EllipticF(1/2*%i*(a+b*log(c*x^n)),2)*sech(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 142
+
+--S 143 of 460
+a0328:= integrate(t0328,x)
+--R 
+--R
+--R               +----------------------+
+--R            x  |               n
+--R          ++  \|sech(b log(c %R ) + a)
+--R   (67)   |   ------------------------- d%R
+--R         ++               %R
+--R                                          Type: Union(Expression Integer,...)
+--E 143
+
+--S 144 of 460
+--m0328:= a0328-r0328
+--E 144
+
+--S 145 of 460
+--d0328:= D(m0328,x)
+--E 145
+
+--S 146 of 460
+t0329:= sech(a+b*log(c*x^n))^(3/2)/x
+--R 
+--R
+--R                               +---------------------+
+--R                       n       |              n
+--R         sech(b log(c x ) + a)\|sech(b log(c x ) + a)
+--R   (68)  ---------------------------------------------
+--R                               x
+--R                                                     Type: Expression Integer
+--E 146
+
+--S 147 of 460
+r0329:= 2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
+        EllipticE(1/2*%i*(a+b*log(c*x^n)),2)*sech(a+b*log(c*x^n))^(1/2)/b/n+_
+        2*sech(a+b*log(c*x^n))^(1/2)*sinh(a+b*log(c*x^n))/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 147
+
+--S 148 of 460
+a0329:= integrate(t0329,x)
+--R 
+--R
+--R                                     +----------------------+
+--R            x                n       |               n
+--R          ++  sech(b log(c %R ) + a)\|sech(b log(c %R ) + a)
+--R   (69)   |   ----------------------------------------------- d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 148
+
+--S 149 of 460
+--m0329:= a0329-r0329
+--E 149
+
+--S 150 of 460
+--d0329:= D(m0329,x)
+--E 150
+
+--S 151 of 460
+t0330:= sech(a+b*log(c*x^n))^(5/2)/x
+--R 
+--R
+--R                                +---------------------+
+--R                       n      2 |              n
+--R         sech(b log(c x ) + a) \|sech(b log(c x ) + a)
+--R   (70)  ----------------------------------------------
+--R                                x
+--R                                                     Type: Expression Integer
+--E 151
+
+--S 152 of 460
+r0330:= -2/3*%i*cosh(a+b*log(c*x^n))^(1/2)*_
+        EllipticF(1/2*%i*(a+b*log(c*x^n)),2)*sech(a+b*log(c*x^n))^(1/2)/b/n+_
+        2/3*sech(a+b*log(c*x^n))^(3/2)*sinh(a+b*log(c*x^n))/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 152
+
+--S 153 of 460
+a0330:= integrate(t0330,x)
+--R 
+--R
+--R                                      +----------------------+
+--R            x                n      2 |               n
+--R          ++  sech(b log(c %R ) + a) \|sech(b log(c %R ) + a)
+--R   (71)   |   ------------------------------------------------ d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 153
+
+--S 154 of 460
+--m0330:= a0330-r0330
+--E 154
+
+--S 155 of 460
+--d0330:= D(m0330,x)
+--E 155
+
+--S 156 of 460
+t0331:= 1/x/sech(a+b*log(c*x^n))^(1/2)
+--R 
+--R
+--R                     1
+--R   (72)  -------------------------
+--R           +---------------------+
+--R           |              n
+--R         x\|sech(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 156
+
+--S 157 of 460
+r0331:= -2*%i*cosh(a+b*log(c*x^n))^(1/2)*_
+        EllipticE(1/2*%i*(a+b*log(c*x^n)),2)*sech(a+b*log(c*x^n))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 157
+
+--S 158 of 460
+a0331:= integrate(t0331,x)
+--R 
+--R
+--R            x
+--R          ++               1
+--R   (73)   |   --------------------------- d%R
+--R         ++      +----------------------+
+--R                 |               n
+--R              %R\|sech(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 158
+
+--S 159 of 460
+--m0331:= a0331-r0331
+--E 159
+
+--S 160 of 460
+--d0331:= D(m0331,x)
+--E 160
+
+--S 161 of 460
+t0332:= 1/x/sech(a+b*log(c*x^n))^(3/2)
+--R 
+--R
+--R                                1
+--R   (74)  -----------------------------------------------
+--R                                 +---------------------+
+--R                         n       |              n
+--R         x sech(b log(c x ) + a)\|sech(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 161
+
+--S 162 of 460
+r0332:= -2/3*%i*cosh(a+b*log(c*x^n))^(1/2)*_
+        EllipticF(1/2*%i*(a+b*log(c*x^n)),2)*sech(a+b*log(c*x^n))^(1/2)/b/n+_
+        2/3*sinh(a+b*log(c*x^n))/b/n/sech(a+b*log(c*x^n))^(1/2)
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 162
+
+--S 163 of 460
+a0332:= integrate(t0332,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (75)   |   -------------------------------------------------- d%R
+--R         ++                             +----------------------+
+--R                                n       |               n
+--R              %R sech(b log(c %R ) + a)\|sech(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 163
+
+--S 164 of 460
+--m0332:= a0332-r0332
+--E 164
+
+--S 165 of 460
+--d0332:= D(m0332,x)
+--E 165
+
+--S 166 of 460
+t0333:= 1/x/sech(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                                 1
+--R   (76)  ------------------------------------------------
+--R                                  +---------------------+
+--R                         n      2 |              n
+--R         x sech(b log(c x ) + a) \|sech(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 166
+
+--S 167 of 460
+r0333:= -6/5*%i*cosh(a+b*log(c*x^n))^(1/2)*_
+        EllipticE(1/2*%i*(a+b*log(c*x^n)),2)*sech(a+b*log(c*x^n))^(1/2)/b/n+_
+        2/5*sinh(a+b*log(c*x^n))/b/n/sech(a+b*log(c*x^n))^(3/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 167
+
+--S 168 of 460
+a0333:= integrate(t0333,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (77)   |   --------------------------------------------------- d%R
+--R         ++                              +----------------------+
+--R                                n      2 |               n
+--R              %R sech(b log(c %R ) + a) \|sech(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 168
+
+--S 169 of 460
+--m0333:= a0333-r0333
+--E 169
+
+--S 170 of 460
+--d0333:= D(m0333,x)
+--E 170
+
+--S 171 of 460
+t0334:= csch(a+b*log(c*x^n))^(1/2)/x
+--R 
+--R
+--R          +---------------------+
+--R          |              n
+--R         \|csch(b log(c x ) + a)
+--R   (78)  ------------------------
+--R                     x
+--R                                                     Type: Expression Integer
+--E 171
+
+--S 172 of 460
+r0334:= -2*%i*csch(a+b*log(c*x^n))^(1/2)*_
+        EllipticF(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)*_
+        (%i*sinh(a+b*log(c*x^n)))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 172
+
+--S 173 of 460
+a0334:= integrate(t0334,x)
+--R 
+--R
+--R               +----------------------+
+--R            x  |               n
+--R          ++  \|csch(b log(c %R ) + a)
+--R   (79)   |   ------------------------- d%R
+--R         ++               %R
+--R                                          Type: Union(Expression Integer,...)
+--E 173
+
+--S 174 of 460
+--m0334:= a0334-r0334
+--E 174
+
+--S 175 of 460
+--d0334:= D(m0334,x)
+--E 175
+
+--S 176 of 460
+t0335:= csch(a+b*log(c*x^n))^(3/2)/x
+--R 
+--R
+--R                               +---------------------+
+--R                       n       |              n
+--R         csch(b log(c x ) + a)\|csch(b log(c x ) + a)
+--R   (80)  ---------------------------------------------
+--R                               x
+--R                                                     Type: Expression Integer
+--E 176
+
+--S 177 of 460
+r0335:= -2*cosh(a+b*log(c*x^n))*csch(a+b*log(c*x^n))^(1/2)/b/n-_
+        2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)/b/n/_
+        csch(a+b*log(c*x^n))^(1/2)/(%i*sinh(a+b*log(c*x^n)))^(1/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 177
+
+--S 178 of 460
+a0335:= integrate(t0335,x)
+--R 
+--R
+--R                                     +----------------------+
+--R            x                n       |               n
+--R          ++  csch(b log(c %R ) + a)\|csch(b log(c %R ) + a)
+--R   (81)   |   ----------------------------------------------- d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 178
+
+--S 179 of 460
+--m0335:= a0335-r0335
+--E 179
+
+--S 180 of 460
+--d0335:= D(m0335,x)
+--E 180
+
+--S 181 of 460
+t0336:= csch(a+b*log(c*x^n))^(5/2)/x
+--R 
+--R
+--R                                +---------------------+
+--R                       n      2 |              n
+--R         csch(b log(c x ) + a) \|csch(b log(c x ) + a)
+--R   (82)  ----------------------------------------------
+--R                                x
+--R                                                     Type: Expression Integer
+--E 181
+
+--S 182 of 460
+r0336:= -2/3*cosh(a+b*log(c*x^n))*csch(a+b*log(c*x^n))^(3/2)/b/n+_
+        2/3*%i*csch(a+b*log(c*x^n))^(1/2)*EllipticF(-1/4*%pi+_
+        1/2*%i*(a+b*log(c*x^n)),2)*(%i*sinh(a+b*log(c*x^n)))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 182
+
+--S 183 of 460
+a0336:= integrate(t0336,x)
+--R 
+--R
+--R                                      +----------------------+
+--R            x                n      2 |               n
+--R          ++  csch(b log(c %R ) + a) \|csch(b log(c %R ) + a)
+--R   (83)   |   ------------------------------------------------ d%R
+--R         ++                          %R
+--R                                          Type: Union(Expression Integer,...)
+--E 183
+
+--S 184 of 460
+--m0336:= a0336-r0336
+--E 184
+
+--S 185 of 460
+--d0336:= D(m0336,x)
+--E 185
+
+--S 186 of 460
+t0337:= 1/x/csch(a+b*log(c*x^n))^(1/2)
+--R 
+--R
+--R                     1
+--R   (84)  -------------------------
+--R           +---------------------+
+--R           |              n
+--R         x\|csch(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 186
+
+--S 187 of 460
+r0337:= -2*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)/b/n/_
+        csch(a+b*log(c*x^n))^(1/2)/(%i*sinh(a+b*log(c*x^n)))^(1/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 187
+
+--S 188 of 460
+a0337:= integrate(t0337,x)
+--R 
+--R
+--R            x
+--R          ++               1
+--R   (85)   |   --------------------------- d%R
+--R         ++      +----------------------+
+--R                 |               n
+--R              %R\|csch(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 188
+
+--S 189 of 460
+--m0337:= a0337-r0337
+--E 189
+
+--S 190 of 460
+--d0337:= D(m0337,x)
+--E 190
+
+--S 191 of 460
+t0338:= 1/x/csch(a+b*log(c*x^n))^(3/2)
+--R 
+--R
+--R                                1
+--R   (86)  -----------------------------------------------
+--R                                 +---------------------+
+--R                         n       |              n
+--R         x csch(b log(c x ) + a)\|csch(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 191
+
+--S 192 of 460
+r0338:= 2/3*cosh(a+b*log(c*x^n))/b/n/csch(a+b*log(c*x^n))^(1/2)+_
+        2/3*%i*csch(a+b*log(c*x^n))^(1/2)*EllipticF(-1/4*%pi+_
+        1/2*%i*(a+b*log(c*x^n)),2)*(%i*sinh(a+b*log(c*x^n)))^(1/2)/b/n
+--R 
+--R   There are no library operations named EllipticF 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticF
+--R      to learn if there is any operation containing " EllipticF " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticF with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 192
+
+--S 193 of 460
+a0338:= integrate(t0338,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (87)   |   -------------------------------------------------- d%R
+--R         ++                             +----------------------+
+--R                                n       |               n
+--R              %R csch(b log(c %R ) + a)\|csch(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 193
+
+--S 194 of 460
+--m0338:= a0338-r0338
+--E 194
+
+--S 195 of 460
+--d0338:= D(m0338,x)
+--E 195
+
+--S 196 of 460
+t0339:= 1/x/csch(a+b*log(c*x^n))^(5/2)
+--R 
+--R
+--R                                 1
+--R   (88)  ------------------------------------------------
+--R                                  +---------------------+
+--R                         n      2 |              n
+--R         x csch(b log(c x ) + a) \|csch(b log(c x ) + a)
+--R                                                     Type: Expression Integer
+--E 196
+
+--S 197 of 460
+r0339:= 2/5*cosh(a+b*log(c*x^n))/b/n/csch(a+b*log(c*x^n))^(3/2)+_
+        6/5*%i*EllipticE(-1/4*%pi+1/2*%i*(a+b*log(c*x^n)),2)/b/n/_
+        csch(a+b*log(c*x^n))^(1/2)/(%i*sinh(a+b*log(c*x^n)))^(1/2)
+--R 
+--R   There are no library operations named EllipticE 
+--R      Use HyperDoc Browse or issue
+--R                             )what op EllipticE
+--R      to learn if there is any operation containing " EllipticE " in 
+--R      its name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      EllipticE with argument type(s) 
+--R                     Expression Complex Fraction Integer
+--R                               PositiveInteger
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 197
+
+--S 198 of 460
+a0339:= integrate(t0339,x)
+--R 
+--R
+--R            x
+--R          ++                           1
+--R   (89)   |   --------------------------------------------------- d%R
+--R         ++                              +----------------------+
+--R                                n      2 |               n
+--R              %R csch(b log(c %R ) + a) \|csch(b log(c %R ) + a)
+--R                                          Type: Union(Expression Integer,...)
+--E 198
+
+--S 199 of 460
+--m0339:= a0339-r0339
+--E 199
+
+--S 200 of 460
+--d0339:= D(m0339,x)
+--E 200
+
+--S 201 of 460
+t0340:= 1/2*log(a+b*x)
+--R 
+--R
+--R         log(b x + a)
+--R   (90)  ------------
+--R               2
+--R                                                     Type: Expression Integer
+--E 201
+
+--S 202 of 460
+r0340:= -1/2*x+1/2*(a+b*x)*log(a+b*x)/b
+--R 
+--R
+--R         (b x + a)log(b x + a) - b x
+--R   (91)  ---------------------------
+--R                      2b
+--R                                                     Type: Expression Integer
+--E 202
+
+--S 203 of 460
+a0340:= integrate(t0340,x)
+--R 
+--R
+--R         (b x + a)log(b x + a) - b x
+--R   (92)  ---------------------------
+--R                      2b
+--R                                          Type: Union(Expression Integer,...)
+--E 203
+
+--S 204 of 460
+m0340:= a0340-r0340
+--R 
+--R
+--R   (93)  0
+--R                                                     Type: Expression Integer
+--E 204
+
+--S 205 of 460
+d0340:= D(m0340,x)
+--R 
+--R
+--R   (94)  0
+--R                                                     Type: Expression Integer
+--E 205
+
+--S 206 of 460
+t0341:= log(x^(1/2)+(1+x)^(1/2))
+--R 
+--R
+--R              +-----+    +-+
+--R   (95)  log(\|x + 1  + \|x )
+--R                                                     Type: Expression Integer
+--E 206
+
+--S 207 of 460
+r0341:= -1/2*(x/(1+x))^(1/2)*(1+x)+1/2*atanh((x/(1+x))^(1/2))+_
+        x*log(x^(1/2)+(1+x)^(1/2))
+--R 
+--R
+--R                                          +-----+              +-----+
+--R                 +-----+    +-+           |  x                 |  x
+--R         2x log(\|x + 1  + \|x ) + atanh( |----- ) + (- x - 1) |-----
+--R                                         \|x + 1              \|x + 1
+--R   (96)  -------------------------------------------------------------
+--R                                       2
+--R                                                     Type: Expression Integer
+--E 207
+
+--S 208 of 460
+a0341:= integrate(t0341,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   failed - cannot handle that integrand
+--R
+--R   Continuing to read the file...
+--R
+--E 208
+
+--S 209 of 460
+--m0341:= a0341-r0341
+--E 209
+
+--S 210 of 460
+--d0341:= D(m0341,x)
+--E 210
+
+--S 211 of 460
+t0342:= log(abs(a^2-x^2))
+--R 
+--R
+--R                  2    2
+--R   (97)  log(abs(x  - a ))
+--R                                                     Type: Expression Integer
+--E 211
+
+--S 212 of 460
+r0342:= -2*x+2*a*atanh(x/a)+1/2*x*log((a^2-x^2)^2)
+--R 
+--R
+--R                4     2 2    4             x
+--R         x log(x  - 2a x  + a ) + 4a atanh(-) - 4x
+--R                                           a
+--R   (98)  -----------------------------------------
+--R                             2
+--R                                                     Type: Expression Integer
+--E 212
+
+--S 213 of 460
+a0342:= integrate(t0342,x)
+--R 
+--R
+--R                    2    2
+--R   (99)  x log(abs(x  - a )) + a log(x + a) - a log(x - a) - 2x
+--R                                          Type: Union(Expression Integer,...)
+--E 213
+
+--S 214 of 460
+m0342:= a0342-r0342
+--R 
+--R
+--R   (100)
+--R                   2    2            4     2 2    4
+--R       2x log(abs(x  - a )) - x log(x  - 2a x  + a ) + 2a log(x + a)
+--R     + 
+--R                                  x
+--R       - 2a log(x - a) - 4a atanh(-)
+--R                                  a
+--R  /
+--R     2
+--R                                                     Type: Expression Integer
+--E 214
+
+--S 215 of 460
+d0342:= D(m0342,x)
+--R 
+--R
+--R                    2    2          4     2 2    4
+--R          2log(abs(x  - a )) - log(x  - 2a x  + a )
+--R   (101)  -----------------------------------------
+--R                              2
+--R                                                     Type: Expression Integer
+--E 215
+
+--S 216 of 460
+t0343:= log((-11+5*x)/(5+76*x))
+--R 
+--R
+--R              5x - 11
+--R   (102)  log(-------)
+--R              76x + 5
+--R                                                     Type: Expression Integer
+--E 216
+
+--S 217 of 460
+r0343:= -11/5*log(11-5*x)+x*log((-11+5*x)/(5+76*x))-5/76*log(5+76*x)
+--R 
+--R
+--R                                      5x - 11
+--R          - 25log(76x + 5) + 380x log(-------) - 836log(- 5x + 11)
+--R                                      76x + 5
+--R   (103)  --------------------------------------------------------
+--R                                     380
+--R                                                     Type: Expression Integer
+--E 217
+
+--S 218 of 460
+a0343:= integrate(t0343,x)
+--R 
+--R
+--R                                                        5x - 11
+--R          - 25log(76x + 5) - 836log(5x - 11) + 380x log(-------)
+--R                                                        76x + 5
+--R   (104)  ------------------------------------------------------
+--R                                    380
+--R                                          Type: Union(Expression Integer,...)
+--E 218
+
+--S 219 of 460
+m0343:= a0343-r0343
+--R 
+--R
+--R          - 11log(5x - 11) + 11log(- 5x + 11)
+--R   (105)  -----------------------------------
+--R                           5
+--R                                                     Type: Expression Integer
+--E 219
+
+--S 220 of 460
+d0343:= D(m0343,x)
+--R 
+--R
+--R   (106)  0
+--R                                                     Type: Expression Integer
+--E 220
+
+--S 221 of 460
+t0344:= log((1+x)/(-1+x))/x^2
+--R 
+--R
+--R              x + 1
+--R          log(-----)
+--R              x - 1
+--R   (107)  ----------
+--R               2
+--R              x
+--R                                                     Type: Expression Integer
+--E 221
+
+--S 222 of 460
+r0344:= 2*log(x)-log(-(1+x)/(1-x))/x-log(1-x^2)
+--R 
+--R
+--R                          x + 1             2
+--R          2x log(x) - log(-----) - x log(- x  + 1)
+--R                          x - 1
+--R   (108)  ----------------------------------------
+--R                              x
+--R                                                     Type: Expression Integer
+--E 222
+
+--S 223 of 460
+a0344:= integrate(t0344,x)
+--R 
+--R
+--R                   2                        x + 1
+--R          - x log(x  - 1) + 2x log(x) - log(-----)
+--R                                            x - 1
+--R   (109)  ----------------------------------------
+--R                              x
+--R                                          Type: Union(Expression Integer,...)
+--E 223
+
+--S 224 of 460
+m0344:= a0344-r0344
+--R 
+--R
+--R                 2               2
+--R   (110)  - log(x  - 1) + log(- x  + 1)
+--R                                                     Type: Expression Integer
+--E 224
+
+--S 225 of 460
+d0344:= D(m0344,x)
+--R 
+--R
+--R   (111)  0
+--R                                                     Type: Expression Integer
+--E 225
+
+--S 226 of 460
+t0345:= x*log((1+x)/x^2)
+--R 
+--R
+--R                x + 1
+--R   (112)  x log(-----)
+--R                   2
+--R                  x
+--R                                                     Type: Expression Integer
+--E 226
+
+--S 227 of 460
+r0345:= 1/2*x+1/4*x^2-1/2*log(1+x)+1/2*x^2*log((1+x)/x^2)
+--R 
+--R
+--R                            2    x + 1     2
+--R          - 2log(x + 1) + 2x log(-----) + x  + 2x
+--R                                    2
+--R                                   x
+--R   (113)  ---------------------------------------
+--R                             4
+--R                                                     Type: Expression Integer
+--E 227
+
+--S 228 of 460
+a0345:= integrate(t0345,x)
+--R 
+--R
+--R                            2    x + 1     2
+--R          - 2log(x + 1) + 2x log(-----) + x  + 2x
+--R                                    2
+--R                                   x
+--R   (114)  ---------------------------------------
+--R                             4
+--R                                          Type: Union(Expression Integer,...)
+--E 228
+
+--S 229 of 460
+m0345:= a0345-r0345
+--R 
+--R
+--R   (115)  0
+--R                                                     Type: Expression Integer
+--E 229
+
+--S 230 of 460
+d0345:= D(m0345,x)
+--R 
+--R
+--R   (116)  0
+--R                                                     Type: Expression Integer
+--E 230
+
+--S 231 of 460
+t0346:= (a+b*x)^n*log(a+b*x)
+--R 
+--R
+--R                               n
+--R   (117)  log(b x + a)(b x + a)
+--R                                                     Type: Expression Integer
+--E 231
+
+--S 232 of 460
+r0346:= 1/b/(1+n)^2*(a+b*x)^(1+n)*(-1+log(a+b*x)+n*log(a+b*x))
+--R 
+--R
+--R                                            n + 1
+--R          ((n + 1)log(b x + a) - 1)(b x + a)
+--R   (118)  ---------------------------------------
+--R                         2
+--R                      b n  + 2b n + b
+--R                                                     Type: Expression Integer
+--E 232
+
+--S 233 of 460
+a0346:= integrate(t0346,x)
+--R 
+--R
+--R                                                          n log(b x + a)
+--R          (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
+--R   (119)  --------------------------------------------------------------
+--R                                     2
+--R                                  b n  + 2b n + b
+--R                                          Type: Union(Expression Integer,...)
+--E 233
+
+--S 234 of 460
+m0346:= a0346-r0346
+--R 
+--R
+--R   (120)
+--R                                                       n log(b x + a)
+--R       (((b n + b)x + a n + a)log(b x + a) - b x - a)%e
+--R     + 
+--R                                           n + 1
+--R       ((- n - 1)log(b x + a) + 1)(b x + a)
+--R  /
+--R        2
+--R     b n  + 2b n + b
+--R                                                     Type: Expression Integer
+--E 234
+
+--S 235 of 460
+d0346:= D(m0346,x)
+--R 
+--R
+--R   (121)
+--R                                           n log(b x + a)            n + 1
+--R       ((b n + b)x + a n + a)log(b x + a)%e               - (b x + a)
+--R     + 
+--R                                                                n
+--R       (((- b n - b)x - a n - a)log(b x + a) + b x + a)(b x + a)
+--R  /
+--R     (b n + b)x + a n + a
+--R                                                     Type: Expression Integer
+--E 235
+
+--S 236 of 460
+t0347:= log((a+b*x)/(c+d*x))/x
+--R 
+--R
+--R              b x + a
+--R          log(-------)
+--R              d x + c
+--R   (122)  ------------
+--R                x
+--R                                                     Type: Expression Integer
+--E 236
+
+--S 237 of 460
+r0347:= -log((b*c-a*d)/b/(c+d*x))*log((a+b*x)/(c+d*x))+_
+        log(-(b*c-a*d)*x/a/(c+d*x))*log((a+b*x)/(c+d*x))-_
+        polylog(2,d*(x+a/b)/(c+d*x))+polylog(2,c*(1+b*x/a)/(c+d*x))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 237
+
+--S 238 of 460
+a0347:= integrate(t0347,x)
+--R 
+--R
+--R                   %R b + a
+--R             x log(--------)
+--R           ++      %R d + c
+--R   (123)   |   ------------- d%R
+--R          ++         %R
+--R                                          Type: Union(Expression Integer,...)
+--E 238
+
+--S 239 of 460
+--m0347:= a0347-r0347
+--E 239
+
+--S 240 of 460
+--d0347:= D(m0347,x)
+--E 240
+
+--S 241 of 460
+t0348:= log((a+b*x)/(c+d*x))^2/x
+--R 
+--R
+--R              b x + a 2
+--R          log(-------)
+--R              d x + c
+--R   (124)  -------------
+--R                x
+--R                                                     Type: Expression Integer
+--E 241
+
+--S 242 of 460
+r0348:= -log((b*c-a*d)/b/(c+d*x))*log((a+b*x)/(c+d*x))^2+_
+        log(-(b*c-a*d)*x/a/(c+d*x))*log((a+b*x)/(c+d*x))^2-_
+        2*log((a+b*x)/(c+d*x))*polylog(2,d*(x+a/b)/(c+d*x))+_
+        2*log((a+b*x)/(c+d*x))*polylog(2,c*(1+b*x/a)/(c+d*x))-_
+        2*polylog(3,c*(a+b*x)/a/(c+d*x))+2*polylog(3,d*(a+b*x)/b/(c+d*x))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 242
+
+--S 243 of 460
+a0348:= integrate(t0348,x)
+--R 
+--R
+--R                   %R b + a 2
+--R             x log(--------)
+--R           ++      %R d + c
+--R   (125)   |   -------------- d%R
+--R          ++         %R
+--R                                          Type: Union(Expression Integer,...)
+--E 243
+
+--S 244 of 460
+--m0348:= a0348-r0348
+--E 244
+
+--S 245 of 460
+--d0348:= D(m0348,x)
+--E 245
+
+--S 246 of 460
+t0349:= log(a*log(b*x^n)^p)
+--R 
+--R
+--R                       n p
+--R   (126)  log(a log(b x ) )
+--R                                                     Type: Expression Integer
+--E 246
+
+--S 247 of 460
+r0349:= -p*x*Ei(1/n*log(b*x^n))/((b*x^n)^(1/n))+x*log(a*log(b*x^n)^p)
+--R 
+--R
+--R                  1
+--R                  -                                  n
+--R                n n             n p           log(b x )
+--R          x (b x ) log(a log(b x ) ) - p x Ei(---------)
+--R                                                  n
+--R   (127)  ----------------------------------------------
+--R                                    1
+--R                                    -
+--R                                  n n
+--R                              (b x )
+--R                                                     Type: Expression Integer
+--E 247
+
+--S 248 of 460
+a0349:= integrate(t0349,x)
+--R 
+--R
+--R             x
+--R           ++                n p
+--R   (128)   |   log(a log(b %R ) )d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 248
+
+--S 249 of 460
+--m0349:= a0349-r0349
+--E 249
+
+--S 250 of 460
+--d0349:= D(m0349,x)
+--E 250
+
+--S 251 of 460
+t0350:= x^m*log(a*log(b*x)^p)
+--R 
+--R
+--R           m              p
+--R   (129)  x log(a log(b x) )
+--R                                                     Type: Expression Integer
+--E 251
+
+--S 252 of 460
+r0350:= -1/b/(1+m)*(p*x^m*(b*x)^(-m)*Ei((1+m)*log(b*x))-_
+        x^(1+m)*log(a*log(b*x)^p)*b)
+--R 
+--R
+--R             m + 1              p       m     - m
+--R          b x     log(a log(b x) ) - p x (b x)   Ei((m + 1)log(b x))
+--R   (130)  ----------------------------------------------------------
+--R                                    b m + b
+--R                                                     Type: Expression Integer
+--E 252
+
+--S 253 of 460
+a0350:= integrate(t0350,x)
+--R 
+--R
+--R             x
+--R           ++    m               p
+--R   (131)   |   %R log(a log(%R b) )d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 253
+
+--S 254 of 460
+--m0350:= a0350-r0350
+--E 254
+
+--S 255 of 460
+--d0350:= D(m0350,x)
+--E 255
+
+--S 256 of 460
+t0351:= x^m*log(a*log(b*x^n)^p)
+--R 
+--R
+--R           m             n p
+--R   (132)  x log(a log(b x ) )
+--R                                                     Type: Expression Integer
+--E 256
+
+--S 257 of 460
+r0351:= 1/(1+m)*x^(1+m)*(-p*Ei((1+m)/n*log(b*x^n))*(b*x^n)^(-(1+m)/n)+_
+        log(a*log(b*x^n)^p))
+--R 
+--R
+--R                                                  - m - 1
+--R                                                  -------                 n
+--R           m + 1             n p       m + 1    n    n      (m + 1)log(b x )
+--R          x     log(a log(b x ) ) - p x     (b x )       Ei(----------------)
+--R                                                                    n
+--R   (133)  -------------------------------------------------------------------
+--R                                         m + 1
+--R                                                     Type: Expression Integer
+--E 257
+
+--S 258 of 460
+a0351:= integrate(t0351,x)
+--R 
+--R
+--R             x
+--R           ++    m              n p
+--R   (134)   |   %R log(a log(b %R ) )d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 258
+
+--S 259 of 460
+--m0351:= a0351-r0351
+--E 259
+
+--S 260 of 460
+--d0351:= D(m0351,x)
+--E 260
+
+--S 261 of 460
+t0352:= log(x)/(a+b*log(x))^(1/2)
+--R 
+--R
+--R               log(x)
+--R   (135)  ---------------
+--R           +------------+
+--R          \|b log(x) + a
+--R                                                     Type: Expression Integer
+--E 261
+
+--S 262 of 460
+r0352:= -1/2*(2*a+b)*%pi^(1/2)*erfi((a+b*log(x))^(1/2)/b^(1/2))/_
+        (exp(1)^(a/b))/b^(3/2)+x*(a+b*log(x))^(1/2)/b
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 262
+
+--S 263 of 460
+a0352:= integrate(t0352,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 263
+
+--S 264 of 460
+--m0352:= a0352-r0352
+--E 264
+
+--S 265 of 460
+--d0352:= D(m0352,x)
+--E 265
+
+--S 266 of 460
+t0353:= log(x)/(a-b*log(x))^(1/2)
+--R 
+--R
+--R                log(x)
+--R   (136)  -----------------
+--R           +--------------+
+--R          \|- b log(x) + a
+--R                                                     Type: Expression Integer
+--E 266
+
+--S 267 of 460
+r0353:= -1/2*(2*a-b)*exp(1)^(a/b)*%pi^(1/2)*erf((a-b*log(x))^(1/2)/_
+        b^(1/2))/b^(3/2)-x*(a-b*log(x))^(1/2)/b
+--R 
+--R
+--R                    a
+--R                    -           +--------------+
+--R                    b +---+    \|- b log(x) + a        +-+ +--------------+
+--R          (b - 2a)%e \|%pi erf(-----------------) - 2x\|b \|- b log(x) + a
+--R                                       +-+
+--R                                      \|b
+--R   (137)  -----------------------------------------------------------------
+--R                                           +-+
+--R                                        2b\|b
+--R                                                     Type: Expression Integer
+--E 267
+
+--S 268 of 460
+a0353:= integrate(t0353,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 268
+
+--S 269 of 460
+--m0353:= a0353-r0353
+--E 269
+
+--S 270 of 460
+--d0353:= D(m0353,x)
+--E 270
+
+--S 271 of 460
+t0354:= (A+B*log(x))/(a+b*log(x))^(1/2)
+--R 
+--R
+--R            B log(x) + A
+--R   (138)  ---------------
+--R           +------------+
+--R          \|b log(x) + a
+--R                                                     Type: Expression Integer
+--E 271
+
+--S 272 of 460
+r0354:= 1/2*(2*A*b-(2*a+b)*B)*%pi^(1/2)*erfi((a+b*log(x))^(1/2)/b^(1/2))/_
+        (exp(1)^(a/b))/b^(3/2)+B*x*(a+b*log(x))^(1/2)/b
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 272
+
+--S 273 of 460
+a0354:= integrate(t0354,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 273
+
+--S 274 of 460
+--m0354:= a0354-r0354
+--E 274
+
+--S 275 of 460
+--d0354:= D(m0354,x)
+--E 275
+
+--S 276 of 460
+t0355:= (A+B*log(x))/(a-b*log(x))^(1/2)
+--R 
+--R
+--R             B log(x) + A
+--R   (139)  -----------------
+--R           +--------------+
+--R          \|- b log(x) + a
+--R                                                     Type: Expression Integer
+--E 276
+
+--S 277 of 460
+r0355:= -1/2*(2*A*b+(2*a-b)*B)*exp(1)^(a/b)*%pi^(1/2)*_
+        erf((a-b*log(x))^(1/2)/b^(1/2))/b^(3/2)-B*x*(a-b*log(x))^(1/2)/b
+--R 
+--R
+--R   (140)
+--R                       a
+--R                       -           +--------------+
+--R                       b +---+    \|- b log(x) + a          +-+ +--------------+
+--R   ((B - 2A)b - 2B a)%e \|%pi erf(-----------------) - 2B x\|b \|- b log(x) + a
+--R                                          +-+
+--R                                         \|b
+--R   -----------------------------------------------------------------------------
+--R                                          +-+
+--R                                       2b\|b
+--R                                                     Type: Expression Integer
+--E 277
+
+--S 278 of 460
+a0355:= integrate(t0355,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 278
+
+--S 279 of 460
+--m0355:= a0355-r0355
+--E 279
+
+--S 280 of 460
+--d0355:= D(m0355,x)
+--E 280
+
+--S 281 of 460
+t0356:= log(x)*sin(a+b*x)
+--R 
+--R
+--R   (141)  log(x)sin(b x + a)
+--R                                                     Type: Expression Integer
+--E 281
+
+--S 282 of 460
+r0356:= (cos(a)*Ci(b*x)-log(x)*cos(a+b*x)-sin(a)*Si(b*x))/b
+--R 
+--R
+--R          - Si(b x)sin(a) - cos(b x + a)log(x) + Ci(b x)cos(a)
+--R   (142)  ----------------------------------------------------
+--R                                    b
+--R                                                     Type: Expression Integer
+--E 282
+
+--S 283 of 460
+a0356:= integrate(t0356,x)
+--R 
+--R
+--R             x
+--R           ++
+--R   (143)   |   log(%R)sin(%R b + a)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 283
+
+--S 284 of 460
+--m0356:= a0356-r0356
+--E 284
+
+--S 285 of 460
+--d0356:= D(m0356,x)
+--E 285
+
+--S 286 of 460
+t0357:= log(x)*sin(a+b*x)^2
+--R 
+--R
+--R                            2
+--R   (144)  log(x)sin(b x + a)
+--R                                                     Type: Expression Integer
+--E 286
+
+--S 287 of 460
+r0357:= -1/4*(2*b*x-Ci(2*b*x)*sin(2*a)-2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
+        sin(a+b*x)-cos(2*a)*Si(2*b*x))/b
+--R 
+--R
+--R   (145)
+--R       - 2cos(b x + a)log(x)sin(b x + a) + Ci(2b x)sin(2a) + 2b x log(x)
+--R     + 
+--R       Si(2b x)cos(2a) - 2b x
+--R  /
+--R     4b
+--R                                                     Type: Expression Integer
+--E 287
+
+--S 288 of 460
+a0357:= integrate(t0357,x)
+--R 
+--R
+--R             x
+--R           ++                      2
+--R   (146)   |   log(%R)sin(%R b + a) d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 288
+
+--S 289 of 460
+--m0357:= a0357-r0357
+--E 289
+
+--S 290 of 460
+--d0357:= D(m0357,x)
+--E 290
+
+--S 291 of 460
+t0358:= log(x)*sin(a+b*x)^3
+--R 
+--R
+--R                            3
+--R   (147)  log(x)sin(b x + a)
+--R                                                     Type: Expression Integer
+--E 291
+
+--S 292 of 460
+r0358:= 1/12*(9*cos(a)*Ci(b*x)-cos(3*a)*Ci(3*b*x)-12*log(x)*cos(a+b*x)+_
+        4*log(x)*cos(a+b*x)^3-9*sin(a)*Si(b*x)+sin(3*a)*Si(3*b*x))/b
+--R 
+--R
+--R   (148)
+--R       Si(3b x)sin(3a) - 9Si(b x)sin(a)
+--R     + 
+--R                   3
+--R     (4cos(b x + a)  - 12cos(b x + a))log(x) - Ci(3b x)cos(3a) + 9Ci(b x)cos(a)
+--R  /
+--R     12b
+--R                                                     Type: Expression Integer
+--E 292
+
+--S 293 of 460
+a0358:= integrate(t0358,x)
+--R 
+--R
+--R             x
+--R           ++                      3
+--R   (149)   |   log(%R)sin(%R b + a) d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 293
+
+--S 294 of 460
+--m0358:= a0358-r0358
+--E 294
+
+--S 295 of 460
+--d0358:= D(m0358,x)
+--E 295
+
+--S 296 of 460
+t0359:= log(x)*cos(a+b*x)
+--R 
+--R
+--R   (150)  cos(b x + a)log(x)
+--R                                                     Type: Expression Integer
+--E 296
+
+--S 297 of 460
+r0359:= -(Ci(b*x)*sin(a)-log(x)*sin(a+b*x)+cos(a)*Si(b*x))/b
+--R 
+--R
+--R          log(x)sin(b x + a) - Ci(b x)sin(a) - Si(b x)cos(a)
+--R   (151)  --------------------------------------------------
+--R                                   b
+--R                                                     Type: Expression Integer
+--E 297
+
+--S 298 of 460
+a0359:= integrate(t0359,x)
+--R 
+--R
+--R             x
+--R           ++
+--R   (152)   |   cos(%R b + a)log(%R)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 298
+
+--S 299 of 460
+--m0359:= a0359-r0359
+--E 299
+
+--S 300 of 460
+--d0359:= D(m0359,x)
+--E 300
+
+--S 301 of 460
+t0360:= log(x)*cos(a+b*x)^2
+--R 
+--R
+--R                      2
+--R   (153)  cos(b x + a) log(x)
+--R                                                     Type: Expression Integer
+--E 301
+
+--S 302 of 460
+r0360:= 1/4*(-2*b*x-Ci(2*b*x)*sin(2*a)+2*log(x)*b*x+2*log(x)*cos(a+b*x)*_
+        sin(a+b*x)-cos(2*a)*Si(2*b*x))/b
+--R 
+--R
+--R   (154)
+--R       2cos(b x + a)log(x)sin(b x + a) - Ci(2b x)sin(2a) + 2b x log(x)
+--R     + 
+--R       - Si(2b x)cos(2a) - 2b x
+--R  /
+--R     4b
+--R                                                     Type: Expression Integer
+--E 302
+
+--S 303 of 460
+a0360:= integrate(t0360,x)
+--R 
+--R
+--R             x
+--R           ++               2
+--R   (155)   |   cos(%R b + a) log(%R)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 303
+
+--S 304 of 460
+--m0360:= a0360-r0360
+--E 304
+
+--S 305 of 460
+--d0360:= D(m0360,x)
+--E 305
+
+--S 306 of 460
+t0361:= log(x)*cos(a+b*x)^3
+--R 
+--R
+--R                      3
+--R   (156)  cos(b x + a) log(x)
+--R                                                     Type: Expression Integer
+--E 306
+
+--S 307 of 460
+r0361:= -1/12*(9*Ci(b*x)*sin(a)+Ci(3*b*x)*sin(3*a)-8*log(x)*sin(a+b*x)-_
+        4*log(x)*sin(a+b*x)*cos(a+b*x)^2+9*cos(a)*Si(b*x)+cos(3*a)*Si(3*b*x))/b
+--R 
+--R
+--R   (157)
+--R                     2
+--R       (4cos(b x + a)  + 8)log(x)sin(b x + a) - Ci(3b x)sin(3a) - 9Ci(b x)sin(a)
+--R     + 
+--R       - Si(3b x)cos(3a) - 9Si(b x)cos(a)
+--R  /
+--R     12b
+--R                                                     Type: Expression Integer
+--E 307
+
+--S 308 of 460
+a0361:= integrate(t0361,x)
+--R 
+--R
+--R             x
+--R           ++               3
+--R   (158)   |   cos(%R b + a) log(%R)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 308
+
+--S 309 of 460
+--m0361:= a0361-r0361
+--E 309
+
+--S 310 of 460
+--d0361:= D(m0361,x)
+--E 310
+
+--S 311 of 460
+t0362:= log(x)*sinh(a+b*x)
+--R 
+--R
+--R   (159)  log(x)sinh(b x + a)
+--R                                                     Type: Expression Integer
+--E 311
+
+--S 312 of 460
+r0362:= (-cosh(a)*Chi(b*x)+log(x)*cosh(a+b*x)-sinh(a)*Shi(b*x))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 312
+
+--S 313 of 460
+a0362:= integrate(t0362,x)
+--R 
+--R
+--R             x
+--R           ++
+--R   (160)   |   log(%R)sinh(%R b + a)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 313
+
+--S 314 of 460
+--m0362:= a0362-r0362
+--E 314
+
+--S 315 of 460
+--d0362:= D(m0362,x)
+--E 315
+
+--S 316 of 460
+t0363:= log(x)*sinh(a+b*x)^3
+--R 
+--R
+--R                             3
+--R   (161)  log(x)sinh(b x + a)
+--R                                                     Type: Expression Integer
+--E 316
+
+--S 317 of 460
+r0363:= 1/12*(9*cosh(a)*Chi(b*x)-cosh(3*a)*Chi(3*b*x)-12*log(x)*cosh(a+b*x)+_
+        4*log(x)*cosh(a+b*x)^3+9*sinh(a)*Shi(b*x)-sinh(3*a)*Shi(3*b*x))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 317
+
+--S 318 of 460
+a0363:= integrate(t0363,x)
+--R 
+--R
+--R             x
+--R           ++                       3
+--R   (162)   |   log(%R)sinh(%R b + a) d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 318
+
+--S 319 of 460
+--m0363:= a0363-r0363
+--E 319
+
+--S 320 of 460
+--d0363:= D(m0363,x)
+--E 320
+
+--S 321 of 460
+t0364:= log(x)*cosh(a+b*x)
+--R 
+--R
+--R   (163)  cosh(b x + a)log(x)
+--R                                                     Type: Expression Integer
+--E 321
+
+--S 322 of 460
+r0364:= (-Chi(b*x)*sinh(a)+log(x)*sinh(a+b*x)-cosh(a)*Shi(b*x))/b
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 322
+
+--S 323 of 460
+a0364:= integrate(t0364,x)
+--R 
+--R
+--R             x
+--R           ++
+--R   (164)   |   cosh(%R b + a)log(%R)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 323
+
+--S 324 of 460
+--m0364:= a0364-r0364
+--E 324
+
+--S 325 of 460
+--d0364:= D(m0364,x)
+--E 325
+
+--S 326 of 460
+t0365:= log(x)*cosh(a+b*x)^3
+--R 
+--R
+--R                       3
+--R   (165)  cosh(b x + a) log(x)
+--R                                                     Type: Expression Integer
+--E 326
+
+--S 327 of 460
+r0365:= 1/12/b*(-9*Chi(b*x)*sinh(a)-Chi(3*b*x)*sinh(3*a)+8*log(x)*_
+        sinh(a+b*x)+4*log(x)*sinh(a+b*x)*cosh(a+b*x)^2-_
+        9*cosh(a)*Shi(b*x)-cosh(3*a)*Shi(3*b*x))
+--R 
+--R   There are no library operations named Chi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op Chi
+--R      to learn if there is any operation containing " Chi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named Chi 
+--R      with argument type(s) 
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 327
+
+--S 328 of 460
+a0365:= integrate(t0365,x)
+--R 
+--R
+--R             x
+--R           ++                3
+--R   (166)   |   cosh(%R b + a) log(%R)d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 328
+
+--S 329 of 460
+--m0365:= a0365-r0365
+--E 329
+
+--S 330 of 460
+--d0365:= D(m0365,x)
+--E 330
+
+--S 331 of 460
+t0366:= x*(4+x^2)^(1/2)*log(x)
+--R 
+--R
+--R                   +------+
+--R                   | 2
+--R   (167)  x log(x)\|x  + 4
+--R                                                     Type: Expression Integer
+--E 331
+
+--S 332 of 460
+r0366:= -4/3*(4+x^2)^(1/2)-1/9*(4+x^2)^(3/2)+8/3*atanh(1/2*(4+x^2)^(1/2))+_
+        1/3*(4+x^2)^(3/2)*log(x)
+--R 
+--R
+--R                   +------+
+--R                   | 2                                      +------+
+--R                  \|x  + 4         2                2       | 2
+--R          24atanh(---------) + ((3x  + 12)log(x) - x  - 16)\|x  + 4
+--R                      2
+--R   (168)  ----------------------------------------------------------
+--R                                       9
+--R                                                     Type: Expression Integer
+--E 332
+
+--S 333 of 460
+a0366:= integrate(t0366,x)
+--R 
+--R
+--R   (169)
+--R                    +------+                   +------+
+--R            2       | 2           3            | 2
+--R       ((24x  + 24)\|x  + 4  - 24x  - 72x)log(\|x  + 4  - x + 2)
+--R     + 
+--R                      +------+                   +------+
+--R              2       | 2           3            | 2
+--R       ((- 24x  - 24)\|x  + 4  + 24x  + 72x)log(\|x  + 4  - x - 2)
+--R     + 
+--R                                                      +------+
+--R             5      3                 5      3        | 2
+--R       ((- 3x  - 21x  - 36x)log(x) + x  + 19x  + 48x)\|x  + 4
+--R     + 
+--R          6      4      2                6      4      2
+--R       (3x  + 27x  + 72x  + 48)log(x) - x  - 21x  - 84x  - 64
+--R  /
+--R               +------+
+--R        2      | 2          3
+--R     (9x  + 9)\|x  + 4  - 9x  - 27x
+--R                                          Type: Union(Expression Integer,...)
+--E 333
+
+--S 334 of 460
+m0366:= a0366-r0366
+--R 
+--R
+--R   (170)
+--R                                                               +------+
+--R         +------+                  +------+                    | 2
+--R         | 2                       | 2                        \|x  + 4
+--R   8log(\|x  + 4  - x + 2) - 8log(\|x  + 4  - x - 2) - 8atanh(---------)
+--R                                                                  2
+--R   ---------------------------------------------------------------------
+--R                                     3
+--R                                                     Type: Expression Integer
+--E 334
+
+--S 335 of 460
+d0366:= D(m0366,x)
+--R 
+--R
+--R   (171)  0
+--R                                                     Type: Expression Integer
+--E 335
+
+--S 336 of 460
+t0367:= x*log(x)/(-1+x^2)^(1/2)
+--R 
+--R
+--R           x log(x)
+--R   (172)  ---------
+--R           +------+
+--R           | 2
+--R          \|x  - 1
+--R                                                     Type: Expression Integer
+--E 336
+
+--S 337 of 460
+r0367:= -(-1+x^2)^(1/2)+atan((-1+x^2)^(1/2))+(-1+x^2)^(1/2)*log(x)
+--R 
+--R
+--R                +------+                 +------+
+--R                | 2                      | 2
+--R   (173)  atan(\|x  - 1 ) + (log(x) - 1)\|x  - 1
+--R                                                     Type: Expression Integer
+--E 337
+
+--S 338 of 460
+a0367:= integrate(t0367,x)
+--R 
+--R
+--R   (174)
+--R          +------+            +------+                         +------+
+--R          | 2                 | 2                              | 2
+--R       (2\|x  - 1  - 2x)atan(\|x  - 1  - x) + (- x log(x) + x)\|x  - 1
+--R     + 
+--R         2               2
+--R       (x  - 1)log(x) - x  + 1
+--R  /
+--R      +------+
+--R      | 2
+--R     \|x  - 1  - x
+--R                                          Type: Union(Expression Integer,...)
+--E 338
+
+--S 339 of 460
+m0367:= a0367-r0367
+--R 
+--R
+--R                  +------+           +------+
+--R                  | 2                | 2
+--R   (175)  - atan(\|x  - 1 ) + 2atan(\|x  - 1  - x)
+--R                                                     Type: Expression Integer
+--E 339
+
+--S 340 of 460
+d0367:= D(m0367,x)
+--R 
+--R
+--R   (176)  0
+--R                                                     Type: Expression Integer
+--E 340
+
+--S 341 of 460
+t0368:= log(cos(x))*tan(x)
+--R 
+--R
+--R   (177)  tan(x)log(cos(x))
+--R                                                     Type: Expression Integer
+--E 341
+
+--S 342 of 460
+r0368:= -1/2*log(cos(x))^2
+--R 
+--R
+--R                       2
+--R            log(cos(x))
+--R   (178)  - ------------
+--R                  2
+--R                                                     Type: Expression Integer
+--E 342
+
+--S 343 of 460
+a0368:= integrate(t0368,x)
+--R 
+--R
+--R                       2
+--R            log(cos(x))
+--R   (179)  - ------------
+--R                  2
+--R                                          Type: Union(Expression Integer,...)
+--E 343
+
+--S 344 of 460
+m0368:= a0368-r0368
+--R 
+--R
+--R   (180)  0
+--R                                                     Type: Expression Integer
+--E 344
+
+--S 345 of 460
+d0368:= D(m0368,x)
+--R 
+--R
+--R   (181)  0
+--R                                                     Type: Expression Integer
+--E 345
+
+--S 346 of 460
+t0369:= cos(x)*log(cos(x))
+--R 
+--R
+--R   (182)  cos(x)log(cos(x))
+--R                                                     Type: Expression Integer
+--E 346
+
+--S 347 of 460
+r0369:= atanh(sin(x))-sin(x)+log(cos(x))*sin(x)
+--R 
+--R
+--R   (183)  sin(x)log(cos(x)) + atanh(sin(x)) - sin(x)
+--R                                                     Type: Expression Integer
+--E 347
+
+--S 348 of 460
+a0369:= integrate(t0369,x)
+--R 
+--R
+--R          log(sin(x) + 1) - log(sin(x) - 1) + 2sin(x)log(cos(x)) - 2sin(x)
+--R   (184)  ----------------------------------------------------------------
+--R                                          2
+--R                                          Type: Union(Expression Integer,...)
+--E 348
+
+--S 349 of 460
+m0369:= a0369-r0369
+--R 
+--R
+--R          log(sin(x) + 1) - log(sin(x) - 1) - 2atanh(sin(x))
+--R   (185)  --------------------------------------------------
+--R                                   2
+--R                                                     Type: Expression Integer
+--E 349
+
+--S 350 of 460
+d0369:= D(m0369,x)
+--R 
+--R
+--R   (186)  0
+--R                                                     Type: Expression Integer
+--E 350
+
+--S 351 of 460
+t0370:= log(sin(x))*sin(x)^2
+--R 
+--R
+--R                2
+--R   (187)  sin(x) log(sin(x))
+--R                                                     Type: Expression Integer
+--E 351
+
+--S 352 of 460
+r0370:= 1/4*x+1/4*%i*x^2-1/2*x*log(1-exp(1)^(2*%i*x))+_
+        1/4*%i*polylog(2,exp(1)^(2*%i*x))+1/4*cos(x)*sin(x)+_
+        1/2*log(sin(x))*(x-cos(x)*sin(x))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                         Expression Complex Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 352
+
+--S 353 of 460
+a0370:= integrate(t0370,x)
+--R 
+--R
+--R             x
+--R           ++         2
+--R   (188)   |   sin(%R) log(sin(%R))d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 353
+
+--S 354 of 460
+--m0370:= a0370-r0370
+--E 354
+
+--S 355 of 460
+--d0370:= D(m0370,x)
+--E 355
+
+--S 356 of 460
+t0371:= log(sin(x))*sin(x)^3
+--R 
+--R
+--R                3
+--R   (189)  sin(x) log(sin(x))
+--R                                                     Type: Expression Integer
+--E 356
+
+--S 357 of 460
+r0371:= -2/3*atanh(cos(x))+2/3*cos(x)-1/9*cos(x)^3-_
+        1/3*cos(x)*(3-cos(x)^2)*log(sin(x))
+--R 
+--R
+--R                  3                                                3
+--R          (3cos(x)  - 9cos(x))log(sin(x)) - 6atanh(cos(x)) - cos(x)  + 6cos(x)
+--R   (190)  --------------------------------------------------------------------
+--R                                            9
+--R                                                     Type: Expression Integer
+--E 357
+
+--S 358 of 460
+a0371:= integrate(t0371,x)
+--R 
+--R
+--R   (191)
+--R               3
+--R       (3cos(x)  - 9cos(x))log(sin(x)) - 3log(cos(x) + 1) + 3log(cos(x) - 1)
+--R     + 
+--R               3
+--R       - cos(x)  + 6cos(x)
+--R  /
+--R     9
+--R                                          Type: Union(Expression Integer,...)
+--E 358
+
+--S 359 of 460
+--m0371:= a0371-r0371
+--E 359
+
+--S 360 of 460
+--d0371:= D(m0371,x)
+--E 360
+
+--S 361 of 460
+t0372:= log(sin(x^(1/2)))
+--R 
+--R
+--R                   +-+
+--R   (192)  log(sin(\|x ))
+--R                                                     Type: Expression Integer
+--E 361
+
+--S 362 of 460
+r0372:= 1/3*%i*x^(3/2)-x*log(1-exp(2*%i*x^(1/2)))+x*log(sin(x^(1/2)))+_
+        %i*x^(1/2)*polylog(2,exp(2*%i*x^(1/2)))-_
+        1/2*polylog(3,exp(2*%i*x^(1/2)))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                         Expression Complex Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 362
+
+--S 363 of 460
+a0372:= integrate(t0372,x)
+--R 
+--R
+--R             x
+--R           ++           +--+
+--R   (193)   |   log(sin(\|%R ))d%R
+--R          ++
+--R                                          Type: Union(Expression Integer,...)
+--E 363
+
+--S 364 of 460
+--m0372:= a0372-r0372
+--E 364
+
+--S 365 of 460
+--d0372:= D(m0372,x)
+--E 365
+
+--S 366 of 460
+t0373:= log(sin(x))*csc(x)^2
+--R 
+--R
+--R                2
+--R   (194)  csc(x) log(sin(x))
+--R                                                     Type: Expression Integer
+--E 366
+
+--S 367 of 460
+r0373:= -x-cot(x)-cot(x)*log(sin(x))
+--R 
+--R
+--R   (195)  - cot(x)log(sin(x)) - cot(x) - x
+--R                                                     Type: Expression Integer
+--E 367
+
+--S 368 of 460
+a0373:= integrate(t0373,x)
+--R 
+--R
+--R                                                           2
+--R          cos(x)sin(x)log(sin(x)) + cos(x)sin(x) - x cos(x)  + x
+--R   (196)  ------------------------------------------------------
+--R                                      2
+--R                                cos(x)  - 1
+--R                                          Type: Union(Expression Integer,...)
+--E 368
+
+--S 369 of 460
+m0373:= a0373-r0373
+--R 
+--R
+--R   (197)
+--R                              2
+--R       (cos(x)sin(x) + (cos(x)  - 1)cot(x))log(sin(x)) + cos(x)sin(x)
+--R     + 
+--R              2
+--R       (cos(x)  - 1)cot(x)
+--R  /
+--R           2
+--R     cos(x)  - 1
+--R                                                     Type: Expression Integer
+--E 369
+
+--S 370 of 460
+d0373:= D(m0373,x)
+--R 
+--R
+--R   (198)
+--R                  2           3
+--R           (cos(x)  + 1)sin(x)
+--R         + 
+--R                     4          2           2         2
+--R           ((- cos(x)  + 2cos(x)  - 1)cot(x)  + cos(x)  - 1)sin(x)
+--R      *
+--R         log(sin(x))
+--R     + 
+--R              2           3
+--R       (cos(x)  + 1)sin(x)
+--R     + 
+--R                 4          2           2         4
+--R       ((- cos(x)  + 2cos(x)  - 1)cot(x)  + cos(x)  - 1)sin(x)
+--R     + 
+--R              5          3
+--R       (cos(x)  - 2cos(x)  + cos(x))cot(x)
+--R  /
+--R            4          2
+--R     (cos(x)  - 2cos(x)  + 1)sin(x)
+--R                                                     Type: Expression Integer
+--E 370
+
+--S 371 of 460
+t0374:= x*log(x)/(a+b*x+c*x^2)
+--R 
+--R
+--R             x log(x)
+--R   (199)  --------------
+--R             2
+--R          c x  + b x + a
+--R                                                     Type: Expression Integer
+--E 371
+
+--S 372 of 460
+r0374:= 1/2*(1-b/(b^2-4*a*c)^(1/2))*log(x)*_
+        log((b-(b^2-4*a*c)^(1/2)+2*c*x)/(b-(b^2-4*a*c)^(1/2)))/c+_
+        1/2*(1+b/(b^2-4*a*c)^(1/2))*log(x)*log((b+(b^2-_
+        4*a*c)^(1/2)+2*c*x)/(b+(b^2-4*a*c)^(1/2)))/c+_
+        1/2*(1-b/(b^2-4*a*c)^(1/2))*_
+        polylog(2,1-(b-(b^2-4*a*c)^(1/2)+2*c*x)/(b-(b^2-4*a*c)^(1/2)))/c+_
+        1/2*(1+b/(b^2-4*a*c)^(1/2))*_
+        polylog(2,1-(b+(b^2-4*a*c)^(1/2)+2*c*x)/(b+(b^2-4*a*c)^(1/2)))/c
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 372
+
+--S 373 of 460
+a0374:= integrate(t0374,x)
+--R 
+--R
+--R             x
+--R           ++     %R log(%R)
+--R   (200)   |   --------------- d%R
+--R          ++     2
+--R               %R c + %R b + a
+--R                                          Type: Union(Expression Integer,...)
+--E 373
+
+--S 374 of 460
+--m0374:= a0374-r0374
+--E 374
+
+--S 375 of 460
+--d0374:= D(m0374,x)
+--E 375
+
+--S 376 of 460
+t0375:= x^2*log(x)/(a+b*x+c*x^2)
+--R 
+--R
+--R              2
+--R             x log(x)
+--R   (201)  --------------
+--R             2
+--R          c x  + b x + a
+--R                                                     Type: Expression Integer
+--E 376
+
+--S 377 of 460
+r0375:= -x/c+x*log(x)/c+1/4*(b-(b^2-4*a*c)^(1/2))^2*log(x)*_
+        log((b-(b^2-4*a*c)^(1/2)+2*c*x)/(b-(b^2-4*a*c)^(1/2)))/c^2/_
+        (b^2-4*a*c)^(1/2)-1/4*(b+(b^2-4*a*c)^(1/2))^2*log(x)*_
+        log((b+(b^2-4*a*c)^(1/2)+2*c*x)/(b+(b^2-4*a*c)^(1/2)))/c^2/_
+        (b^2-4*a*c)^(1/2)+1/4*(b-(b^2-4*a*c)^(1/2))^2*_
+        polylog(2,1-(b-(b^2-4*a*c)^(1/2)+2*c*x)/(b-(b^2-4*a*c)^(1/2)))/_
+        c^2/(b^2-4*a*c)^(1/2)-1/4*(b+(b^2-4*a*c)^(1/2))^2*_
+        polylog(2,1-(b+(b^2-4*a*c)^(1/2)+2*c*x)/(b+(b^2-4*a*c)^(1/2)))/_
+        c^2/(b^2-4*a*c)^(1/2)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 377
+
+--S 378 of 460
+a0375:= integrate(t0375,x)
+--R 
+--R
+--R             x      2
+--R           ++     %R log(%R)
+--R   (202)   |   --------------- d%R
+--R          ++     2
+--R               %R c + %R b + a
+--R                                          Type: Union(Expression Integer,...)
+--E 378
+
+--S 379 of 460
+--m0375:= a0375-r0375
+--E 379
+
+--S 380 of 460
+--d0375:= D(m0375,x)
+--E 380
+
+--S 381 of 460
+t0376:= log(x)/x^2/(a+b*x+c*x^2)
+--R 
+--R
+--R                log(x)
+--R   (203)  ------------------
+--R             4      3      2
+--R          c x  + b x  + a x
+--R                                                     Type: Expression Integer
+--E 381
+
+--S 382 of 460
+r0376:= -2*c/(b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))/x+_
+        2*c/(b^2-4*a*c)^(1/2)/(b+(b^2-4*a*c)^(1/2))/x-2*c*log(x)/_
+        (b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))/x+_
+        2*c*log(x)/(b^2-4*a*c)^(1/2)/(b+(b^2-4*a*c)^(1/2))/x-_
+        2*c^2*log(x)^2/(b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))^2+_
+        2*c^2*log(x)^2/(b^2-4*a*c)^(1/2)/(b+(b^2-4*a*c)^(1/2))^2+_
+        4*c^2*log(x)*log((b-(b^2-4*a*c)^(1/2)+2*c*x)/_
+        (b-(b^2-4*a*c)^(1/2)))/(b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))^2-_
+        4*c^2*log(x)*log((b+(b^2-4*a*c)^(1/2)+2*c*x)/_
+        (b+(b^2-4*a*c)^(1/2)))/(b^2-4*a*c)^(1/2)/(b+(b^2-4*a*c)^(1/2))^2+_
+        4*c^2*polylog(2,1-(b-(b^2-4*a*c)^(1/2)+2*c*x)/_
+        (b-(b^2-4*a*c)^(1/2)))/(b^2-4*a*c)^(1/2)/(b-(b^2-4*a*c)^(1/2))^2-_
+        4*c^2*polylog(2,1-(b+(b^2-4*a*c)^(1/2)+2*c*x)/_
+        (b+(b^2-4*a*c)^(1/2)))/(b^2-4*a*c)^(1/2)/(b+(b^2-4*a*c)^(1/2))^2
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 382
+
+--S 383 of 460
+a0376:= integrate(t0376,x)
+--R 
+--R
+--R             x
+--R           ++        log(%R)
+--R   (204)   |   ------------------ d%R
+--R          ++     4      3      2
+--R               %R c + %R b + %R a
+--R                                          Type: Union(Expression Integer,...)
+--E 383
+
+--S 384 of 460
+--m0376:= a0376-r0376
+--E 384
+
+--S 385 of 460
+--d0376:= D(m0376,x)
+--E 385
+
+--S 386 of 460
+t0377:= (2-log(x))*(3+log(x))^2/x
+--R 
+--R
+--R                  3          2
+--R          - log(x)  - 4log(x)  + 3log(x) + 18
+--R   (205)  -----------------------------------
+--R                           x
+--R                                                     Type: Expression Integer
+--E 386
+
+--S 387 of 460
+r0377:= -1/12*(3+log(x))^3*(-11+3*log(x))
+--R 
+--R
+--R                   4           3           2
+--R          - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x) + 297
+--R   (206)  ----------------------------------------------------
+--R                                   12
+--R                                                     Type: Expression Integer
+--E 387
+
+--S 388 of 460
+a0377:= integrate(t0377,x)
+--R 
+--R
+--R                   4           3           2
+--R          - 3log(x)  - 16log(x)  + 18log(x)  + 216log(x)
+--R   (207)  ----------------------------------------------
+--R                                12
+--R                                          Type: Union(Expression Integer,...)
+--E 388
+
+--S 389 of 460
+m0377:= a0377-r0377
+--R 
+--R
+--R            99
+--R   (208)  - --
+--R             4
+--R                                                     Type: Expression Integer
+--E 389
+
+--S 390 of 460
+d0377:= D(m0377,x)
+--R 
+--R
+--R   (209)  0
+--R                                                     Type: Expression Integer
+--E 390
+
+--S 391 of 460
+t0378:= (1+log(x))^(1/2)/x/log(x)
+--R 
+--R
+--R           +----------+
+--R          \|log(x) + 1
+--R   (210)  -------------
+--R             x log(x)
+--R                                                     Type: Expression Integer
+--E 391
+
+--S 392 of 460
+r0378:= -2*atanh((1+log(x))^(1/2))+2*(1+log(x))^(1/2)
+--R 
+--R
+--R                    +----------+      +----------+
+--R   (211)  - 2atanh(\|log(x) + 1 ) + 2\|log(x) + 1
+--R                                                     Type: Expression Integer
+--E 392
+
+--S 393 of 460
+a0378:= integrate(t0378,x)
+--R 
+--R
+--R                 +----------+             +----------+          +----------+
+--R   (212)  - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2\|log(x) + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 393
+
+--S 394 of 460
+m0378:= a0378-r0378
+--R 
+--R
+--R   (213)
+--R          +----------+             +----------+                +----------+
+--R   - log(\|log(x) + 1  + 1) + log(\|log(x) + 1  - 1) + 2atanh(\|log(x) + 1 )
+--R                                                     Type: Expression Integer
+--E 394
+
+--S 395 of 460
+d0378:= D(m0378,x)
+--R 
+--R
+--R   (214)  0
+--R                                                     Type: Expression Integer
+--E 395
+
+--S 396 of 460
+t0379:= (log(a*x^n)^2)^p/x
+--R 
+--R
+--R                 n 2p
+--R          log(a x )
+--R   (215)  -----------
+--R               x
+--R                                                     Type: Expression Integer
+--E 396
+
+--S 397 of 460
+r0379:= log(a*x^n)*(log(a*x^n)^2)^p/n/(1+2*p)
+--R 
+--R
+--R                 n        n 2p
+--R          log(a x )log(a x )
+--R   (216)  --------------------
+--R                2n p + n
+--R                                                     Type: Expression Integer
+--E 397
+
+--S 398 of 460
+a0379:= integrate(t0379,x)
+--R 
+--R
+--R                               2p log(n log(x) + log(a))
+--R          (n log(x) + log(a))%e
+--R   (217)  ----------------------------------------------
+--R                             2n p + n
+--R                                          Type: Union(Expression Integer,...)
+--E 398
+
+--S 399 of 460
+m0379:= a0379-r0379
+--R 
+--R
+--R   (218)
+--R            n        n 2p                        2p log(n log(x) + log(a))
+--R   - log(a x )log(a x )   + (n log(x) + log(a))%e
+--R   -----------------------------------------------------------------------
+--R                                   2n p + n
+--R                                                     Type: Expression Integer
+--E 399
+
+--S 400 of 460
+d0379:= D(m0379,x)
+--R 
+--R
+--R   (219)
+--R            n - 1       n 2p         n - 1       n        n 2p - 1
+--R       - x x     log(a x )   - 2p x x     log(a x )log(a x )
+--R     + 
+--R                n  2p log(n log(x) + log(a))
+--R       (2p + 1)x %e
+--R  /
+--R                n
+--R     (2p + 1)x x
+--R                                                     Type: Expression Integer
+--E 400
+
+--S 401 of 460
+t0380:= (log(a*x^n)^m)^p/x
+--R 
+--R
+--R                 n m p
+--R          log(a x )
+--R   (220)  ------------
+--R                x
+--R                                                     Type: Expression Integer
+--E 401
+
+--S 402 of 460
+r0380:= log(a*x^n)*(log(a*x^n)^m)^p/n/(1+m*p)
+--R 
+--R
+--R                 n        n m p
+--R          log(a x )log(a x )
+--R   (221)  ---------------------
+--R                m n p + n
+--R                                                     Type: Expression Integer
+--E 402
+
+--S 403 of 460
+a0380:= integrate(t0380,x)
+--R 
+--R
+--R                               m p log(n log(x) + log(a))
+--R          (n log(x) + log(a))%e
+--R   (222)  -----------------------------------------------
+--R                             m n p + n
+--R                                          Type: Union(Expression Integer,...)
+--E 403
+
+--S 404 of 460
+m0380:= a0380-r0380
+--R 
+--R
+--R   (223)
+--R            n        n m p                        m p log(n log(x) + log(a))
+--R   - log(a x )log(a x )    + (n log(x) + log(a))%e
+--R   -------------------------------------------------------------------------
+--R                                   m n p + n
+--R                                                     Type: Expression Integer
+--E 404
+
+--S 405 of 460
+d0380:= D(m0380,x)
+--R 
+--R
+--R   (224)
+--R            n - 1       n m p          n - 1       n        n m p - 1
+--R       - x x     log(a x )    - m p x x     log(a x )log(a x )
+--R     + 
+--R                 n  m p log(n log(x) + log(a))
+--R       (m p + 1)x %e
+--R  /
+--R                 n
+--R     (m p + 1)x x
+--R                                                     Type: Expression Integer
+--E 405
+
+--S 406 of 460
+t0381:= (log(a*x^n)^2)^(1/2)/x
+--R 
+--R
+--R           +----------+
+--R           |       n 2
+--R          \|log(a x )
+--R   (225)  -------------
+--R                x
+--R                                                     Type: Expression Integer
+--E 406
+
+--S 407 of 460
+r0381:= 1/2*log(a*x^n)^2*csgn(log(a*x^n))/n
+--R 
+--R   There are no library operations named csgn 
+--R      Use HyperDoc Browse or issue
+--R                                )what op csgn
+--R      to learn if there is any operation containing " csgn " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named csgn 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 407
+
+--S 408 of 460
+a0381:= integrate(t0381,x)
+--R 
+--R
+--R                  2
+--R          n log(x)  + 2log(a)log(x)
+--R   (226)  -------------------------
+--R                      2
+--R                                          Type: Union(Expression Integer,...)
+--E 408
+
+--S 409 of 460
+m0381:= a0381-r0381
+--R 
+--R
+--R                  2
+--R          n log(x)  + 2log(a)log(x) - 2r0381
+--R   (227)  ----------------------------------
+--R                           2
+--R                                                     Type: Expression Integer
+--E 409
+
+--S 410 of 460
+d0381:= D(m0381,x)
+--R 
+--R
+--R          n log(x) + log(a)
+--R   (228)  -----------------
+--R                  x
+--R                                                     Type: Expression Integer
+--E 410
+
+--S 411 of 460
+t0382:= (b*log(a*x^n)^m)^p/x
+--R 
+--R
+--R                    n m p
+--R          (b log(a x ) )
+--R   (229)  ---------------
+--R                 x
+--R                                                     Type: Expression Integer
+--E 411
+
+--S 412 of 460
+r0382:= log(a*x^n)*(b*log(a*x^n)^m)^p/n/(1+m*p)
+--R 
+--R
+--R                 n           n m p
+--R          log(a x )(b log(a x ) )
+--R   (230)  ------------------------
+--R                  m n p + n
+--R                                                     Type: Expression Integer
+--E 412
+
+--S 413 of 460
+a0382:= integrate(t0382,x)
+--R 
+--R
+--R                               m p log(n log(x) + log(a)) + p log(b)
+--R          (n log(x) + log(a))%e
+--R   (231)  ----------------------------------------------------------
+--R                                   m n p + n
+--R                                          Type: Union(Expression Integer,...)
+--E 413
+
+--S 414 of 460
+m0382:= a0382-r0382
+--R 
+--R
+--R   (232)
+--R                n           n m p
+--R       - log(a x )(b log(a x ) )
+--R     + 
+--R                            m p log(n log(x) + log(a)) + p log(b)
+--R       (n log(x) + log(a))%e
+--R  /
+--R     m n p + n
+--R                                                     Type: Expression Integer
+--E 414
+
+--S 415 of 460
+d0382:= D(m0382,x)
+--R 
+--R
+--R   (233)
+--R            n - 1          n m p
+--R       - x x     (b log(a x ) )
+--R     + 
+--R                  n - 1       n        n m - 1          n m p - 1
+--R       - b m p x x     log(a x )log(a x )     (b log(a x ) )
+--R     + 
+--R                 n  m p log(n log(x) + log(a)) + p log(b)
+--R       (m p + 1)x %e
+--R  /
+--R                 n
+--R     (m p + 1)x x
+--R                                                     Type: Expression Integer
+--E 415
+
+--S 416 of 460
+t0383:= 1/(-log(a*x^2))^(1/2)
+--R 
+--R
+--R                 1
+--R   (234)  --------------
+--R           +-----------+
+--R           |         2
+--R          \|- log(a x )
+--R                                                     Type: Expression Integer
+--E 416
+
+--S 417 of 460
+r0383:= -1/2*2^(1/2)*%pi^(1/2)*x*erf(1/2*(-log(a*x^2))^(1/2)*2^(1/2))/_
+        (a*x^2)^(1/2)
+--R 
+--R
+--R                                +-----------+
+--R                            +-+ |         2
+--R              +-+ +---+    \|2 \|- log(a x )
+--R            x\|2 \|%pi erf(------------------)
+--R                                    2
+--R   (235)  - ----------------------------------
+--R                           +----+
+--R                           |   2
+--R                         2\|a x
+--R                                                     Type: Expression Integer
+--E 417
+
+--S 418 of 460
+a0383:= integrate(t0383,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 418
+
+--S 419 of 460
+--m0383:= a0383-r0383
+--E 419
+
+--S 420 of 460
+--d0383:= D(m0383,x)
+--E 420
+
+--S 421 of 460
+t0384:= 1/(-log(a/x^2))^(1/2)
+--R 
+--R
+--R                1
+--R   (236)  ------------
+--R           +---------+
+--R           |       a
+--R           |- log(--)
+--R           |       2
+--R          \|      x
+--R                                                     Type: Expression Integer
+--E 421
+
+--S 422 of 460
+r0384:= 1/2*2^(1/2)*%pi^(1/2)*(a/x^2)^(1/2)*x*_
+        erfi(1/2*(-log(a/x^2))^(1/2)*2^(1/2))
+--R 
+--R   There are no library operations named erfi 
+--R      Use HyperDoc Browse or issue
+--R                                )what op erfi
+--R      to learn if there is any operation containing " erfi " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named erfi 
+--R      with argument type(s) 
+--R                             Expression Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 422
+
+--S 423 of 460
+a0384:= integrate(t0384,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 423
+
+--S 424 of 460
+--m0384:= a0384-r0384
+--E 424
+
+--S 425 of 460
+--d0384:= D(m0384,x)
+--E 425
+
+--S 426 of 460
+t0385:= 1/(-log(a*x^n))^(1/2)
+--R 
+--R
+--R                 1
+--R   (237)  --------------
+--R           +-----------+
+--R           |         n
+--R          \|- log(a x )
+--R                                                     Type: Expression Integer
+--E 426
+
+--S 427 of 460
+r0385:= -%pi^(1/2)*x*erf((-log(a*x^n))^(1/2)/n^(1/2))/n^(1/2)/((a*x^n)^(1/n))
+--R 
+--R
+--R                        +-----------+
+--R                        |         n
+--R              +---+    \|- log(a x )
+--R            x\|%pi erf(--------------)
+--R                             +-+
+--R                            \|n
+--R   (238)  - --------------------------
+--R                              1
+--R                              -
+--R                     +-+    n n
+--R                    \|n (a x )
+--R                                                     Type: Expression Integer
+--E 427
+
+--S 428 of 460
+a0385:= integrate(t0385,x)
+--R 
+--R 
+--R   >> Error detected within library code:
+--R   integrate: implementation incomplete (constant residues)
+--R
+--R   Continuing to read the file...
+--R
+--E 428
+
+--S 429 of 460
+--m0385:= a0385-r0385
+--E 429
+
+--S 430 of 460
+--d0385:= D(m0385,x)
+--E 430
+
+--S 431 of 460
+t0386:= log(x^n)/(a+b*x)
+--R 
+--R
+--R               n
+--R          log(x )
+--R   (239)  -------
+--R          b x + a
+--R                                                     Type: Expression Integer
+--E 431
+
+--S 432 of 460
+r0386:= 1/b*(log(x^n)*log((a+b*x)/a)+n*polylog(2,-b*x/a))
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                         Fraction Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 432
+
+--S 433 of 460
+a0386:= integrate(t0386,x)
+--R 
+--R
+--R             x       n
+--R           ++  log(%R )
+--R   (240)   |   -------- d%R
+--R          ++   %R b + a
+--R                                          Type: Union(Expression Integer,...)
+--E 433
+
+--S 434 of 460
+--m0386:= a0386-r0386
+--E 434
+
+--S 435 of 460
+--d0386:= D(m0386,x)
+--E 435
+
+--S 436 of 460
+t0387:= sin(x*log(x))+log(x)*sin(x*log(x))
+--R 
+--R
+--R   (241)  (log(x) + 1)sin(x log(x))
+--R                                                     Type: Expression Integer
+--E 436
+
+--S 437 of 460
+r0387:= -cos(x*log(x))
+--R 
+--R
+--R   (242)  - cos(x log(x))
+--R                                                     Type: Expression Integer
+--E 437
+
+--S 438 of 460
+a0387:= integrate(t0387,x)
+--R 
+--R
+--R   (243)  - cos(x log(x))
+--R                                          Type: Union(Expression Integer,...)
+--E 438
+
+--S 439 of 460
+m0387:= a0387-r0387
+--R 
+--R
+--R   (244)  0
+--R                                                     Type: Expression Integer
+--E 439
+
+--S 440 of 460
+d0387:= D(m0387,x)
+--R 
+--R
+--R   (245)  0
+--R                                                     Type: Expression Integer
+--E 440
+
+--S 441 of 460
+t0388:= log((1-x^2)/(1+x^2))/(1+x)^2
+--R 
+--R
+--R                 2
+--R              - x  + 1
+--R          log(--------)
+--R                2
+--R               x  + 1
+--R   (246)  -------------
+--R            2
+--R           x  + 2x + 1
+--R                                                     Type: Expression Integer
+--E 441
+
+--S 442 of 460
+r0388:= -1/(1+x)-atan(x)+1/2*log(1-x)+1/2*log(1+x)-_
+        log((1-x^2)/(1+x^2))/(1+x)-1/2*log(1+x^2)
+--R 
+--R
+--R   (247)
+--R                                                          2
+--R                     2                                 - x  + 1
+--R       (- x - 1)log(x  + 1) + (x + 1)log(x + 1) - 2log(--------)
+--R                                                         2
+--R                                                        x  + 1
+--R     + 
+--R       (x + 1)log(- x + 1) + (- 2x - 2)atan(x) - 2
+--R  /
+--R     2x + 2
+--R                                                     Type: Expression Integer
+--E 442
+
+--S 443 of 460
+a0388:= integrate(t0388,x)
+--R 
+--R
+--R   (248)
+--R                                                           2
+--R                     2                    2             - x  + 1
+--R       (- x - 1)log(x  + 1) + (x + 1)log(x  - 1) - 2log(--------)
+--R                                                          2
+--R                                                         x  + 1
+--R     + 
+--R       (- 2x - 2)atan(x) - 2
+--R  /
+--R     2x + 2
+--R                                          Type: Union(Expression Integer,...)
+--E 443
+
+--S 444 of 460
+m0388:= a0388-r0388
+--R 
+--R
+--R               2
+--R          log(x  - 1) - log(x + 1) - log(- x + 1)
+--R   (249)  ---------------------------------------
+--R                             2
+--R                                                     Type: Expression Integer
+--E 444
+
+--S 445 of 460
+d0388:= D(m0388,x)
+--R 
+--R
+--R   (250)  0
+--R                                                     Type: Expression Integer
+--E 445
+
+--S 446 of 460
+t0389:= log((-1+x)/(1+x))
+--R 
+--R
+--R              x - 1
+--R   (251)  log(-----)
+--R              x + 1
+--R                                                     Type: Expression Integer
+--E 446
+
+--S 447 of 460
+r0389:= x*log((-1+x)/(1+x))-log(-(-1+x)*(1+x))
+--R 
+--R
+--R                x - 1           2
+--R   (252)  x log(-----) - log(- x  + 1)
+--R                x + 1
+--R                                                     Type: Expression Integer
+--E 447
+
+--S 448 of 460
+a0389:= integrate(t0389,x)
+--R 
+--R
+--R                 2              x - 1
+--R   (253)  - log(x  - 1) + x log(-----)
+--R                                x + 1
+--R                                          Type: Union(Expression Integer,...)
+--E 448
+
+--S 449 of 460
+m0389:= a0389-r0389
+--R 
+--R
+--R                 2               2
+--R   (254)  - log(x  - 1) + log(- x  + 1)
+--R                                                     Type: Expression Integer
+--E 449
+
+--S 450 of 460
+d0389:= D(m0389,x)
+--R 
+--R
+--R   (255)  0
+--R                                                     Type: Expression Integer
+--E 450
+
+--S 451 of 460
+t0390:= log(x)/(-1+x)
+--R 
+--R
+--R          log(x)
+--R   (256)  ------
+--R           x - 1
+--R                                                     Type: Expression Integer
+--E 451
+
+--S 452 of 460
+r0390:= -polylog(2,1-x)
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 452
+
+--S 453 of 460
+a0390:= integrate(t0390,x)
+--R 
+--R
+--R   (257)  - dilog(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 453
+
+--S 454 of 460
+--m0390:= a0390-r0390
+--E 454
+
+--S 455 of 460
+--d0390:= D(m0390,x)
+--E 455
+
+--S 456 of 460
+t0391:= x*log(1-a-b*x)/(a+b*x)
+--R 
+--R
+--R          x log(- b x - a + 1)
+--R   (258)  --------------------
+--R                 b x + a
+--R                                                     Type: Expression Integer
+--E 456
+
+--S 457 of 460
+r0391:= -x/b-(1-a-b*x)*log(1-a-b*x)/b^2+a*polylog(2,a+b*x)/b^2
+--R 
+--R   There are no library operations named polylog 
+--R      Use HyperDoc Browse or issue
+--R                              )what op polylog
+--R      to learn if there is any operation containing " polylog " in its 
+--R      name.
+--R 
+--R   Cannot find a definition or applicable library operation named 
+--R      polylog with argument type(s) 
+--R                               PositiveInteger
+--R                             Polynomial Integer
+--R      
+--R      Perhaps you should use "@" to indicate the required return type, 
+--R      or "$" to specify which version of the function you need.
+--E 457
+
+--S 458 of 460
+a0391:= integrate(t0391,x)
+--R 
+--R
+--R             x
+--R           ++  %R log(- %R b - a + 1)
+--R   (259)   |   ---------------------- d%R
+--R          ++          %R b + a
+--R                                          Type: Union(Expression Integer,...)
+--E 458
+
+--S 459 of 460
+--m0391:= a0391-r0391
+--E 459
+
+--S 460 of 460
+--d0391:= D(m0391,x)
+--E 460
+
+)spool
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Albert D. Rich ``Rule-based Mathematics''
+\verb|www.apmaths.uwo.ca/~arich|
+\end{thebibliography}
+\end{document}
